// Copyright 2000-2022 JetBrains s.r.o. and contributors. Use of this source code is governed by the Apache 2.0 license.
package com.intellij.icons;

import com.intellij.ui.IconManager;
import org.jetbrains.annotations.NotNull;

import javax.swing.*;

import org.jetbrains.annotations.ApiStatus.ScheduledForRemoval;

/**
 * NOTE THIS FILE IS AUTO-GENERATED
 * DO NOT EDIT IT BY HAND, run "Generate icon classes" configuration instead
 */
public class AllIcons {
  private static @NotNull Icon load(@NotNull String path, int cacheKey, int flags) {
    return IconManager.getInstance().loadRasterizedIcon(path, AllIcons.class.getClassLoader(), cacheKey, flags);
  }

  public static final class Actions {
    /** 16x16 */ public static final @NotNull Icon AddFile = load("actions/addFile.svg", -1166686739, 2);
    /** 16x16 */ public static final @NotNull Icon AddList = load("actions/addList.svg", -2146756938, 2);
    /** 16x16 */ public static final @NotNull Icon AddMulticaret = load("actions/AddMulticaret.svg", -377213792, 2);
    /** 16x16 */ public static final @NotNull Icon AddToDictionary = load("actions/addToDictionary.svg", -319153371, 2);
    /** 16x16 */ public static final @NotNull Icon Annotate = load("actions/annotate.svg", 722442976, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowCollapse = load("actions/arrowCollapse.svg", 263769471, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowExpand = load("actions/arrowExpand.svg", 1477615871, 2);
    /** 16x16 */ public static final @NotNull Icon Back = load("actions/back.svg", -667002902, 2);
    /** 16x16 */ public static final @NotNull Icon BuildAutoReloadChanges = load("actions/buildAutoReloadChanges.svg", -1279846137, 2);
    /** 16x16 */ public static final @NotNull Icon BuildLoadChanges = load("actions/buildLoadChanges.svg", 195892161, 2);
    /** 16x16 */ public static final @NotNull Icon Cancel = load("actions/cancel.svg", 335378725, 2);
    /** 16x16 */ public static final @NotNull Icon ChangeView = load("actions/changeView.svg", -1455363197, 2);
    /** 12x12 */ public static final @NotNull Icon Checked = load("actions/checked.svg", -1443736513, 0);
    /** 12x12 */ public static final @NotNull Icon Checked_selected = load("actions/checked_selected.svg", 332432761, 0);
    /** 16x16 */ public static final @NotNull Icon CheckMulticaret = load("actions/CheckMulticaret.svg", 831169230, 2);
    /** 16x16 */ public static final @NotNull Icon CheckOut = load("actions/checkOut.svg", -2054078305, 2);
    /** 16x16 */ public static final @NotNull Icon Close = load("actions/close.svg", 956379008, 0);
    /** 16x16 */ public static final @NotNull Icon CloseDarkGrey = load("actions/closeDarkGrey.svg", -935014665, 2);
    /** 16x16 */ public static final @NotNull Icon CloseHovered = load("actions/closeHovered.svg", -1942386774, 0);
    /** 16x16 */ public static final @NotNull Icon Collapseall = load("actions/collapseall.svg", 1236978473, 2);
    /** 16x16 */ public static final @NotNull Icon Colors = load("actions/colors.svg", -306262795, 2);
    /** 16x16 */ public static final @NotNull Icon Commit = load("actions/commit.svg", 1312511437, 2);
    /** 16x16 */ public static final @NotNull Icon Compile = load("actions/compile.svg", 1134013877, 2);
    /** 16x16 */ public static final @NotNull Icon Copy = load("actions/copy.svg", 718752577, 2);
    /** 16x16 */ public static final @NotNull Icon DeleteTag = load("actions/deleteTag.svg", 1014924841, 2);
    /** 16x16 */ public static final @NotNull Icon DeleteTagHover = load("actions/deleteTagHover.svg", -852214730, 2);
    /** 16x16 */ public static final @NotNull Icon DependencyAnalyzer = load("actions/dependencyAnalyzer.svg", -272296729, 2);
    /** 16x16 */ public static final @NotNull Icon DiagramDiff = load("actions/diagramDiff.svg", 2144096282, 2);
    /** 16x16 */ public static final @NotNull Icon Diff = load("actions/diff.svg", 103377195, 2);
    /** 16x17 */ public static final @NotNull Icon DiffWithClipboard = load("actions/diffWithClipboard.svg", 686509958, 2);
    /** 16x16 */ public static final @NotNull Icon Download = load("actions/download.svg", -1031286509, 2);
    /** 16x16 */ public static final @NotNull Icon Dump = load("actions/dump.svg", 400628511, 2);
    /** 16x16 */ public static final @NotNull Icon DynamicUsages = load("actions/dynamicUsages.svg", 379873567, 2);
    /** 16x16 */ public static final @NotNull Icon Edit = load("actions/edit.svg", -899362068, 2);
    /** 16x16 */ public static final @NotNull Icon EditScheme = load("actions/editScheme.svg", 709078854, 2);
    /** 16x16 */ public static final @NotNull Icon EditSource = load("actions/editSource.svg", -496807981, 2);
    /** 16x16 */ public static final @NotNull Icon Execute = load("actions/execute.svg", -169607189, 2);
    /** 16x16 */ public static final @NotNull Icon Exit = load("actions/exit.svg", 1324374708, 2);
    /** 16x16 */ public static final @NotNull Icon Expandall = load("actions/expandall.svg", 1530335218, 2);
    /** 16x16 */ public static final @NotNull Icon Find = load("actions/find.svg", -2137379474, 2);
    /** 16x16 */ public static final @NotNull Icon FindAndShowNextMatches = load("actions/findAndShowNextMatches.svg", -1639923801, 2);
    /** 16x16 */ public static final @NotNull Icon FindAndShowNextMatchesSmall = load("actions/findAndShowNextMatchesSmall.svg", 647563861, 2);
    /** 16x16 */ public static final @NotNull Icon FindAndShowPrevMatches = load("actions/findAndShowPrevMatches.svg", 1487646964, 2);
    /** 16x16 */ public static final @NotNull Icon FindAndShowPrevMatchesSmall = load("actions/findAndShowPrevMatchesSmall.svg", 1145750123, 2);
    /** 16x16 */ public static final @NotNull Icon FindBackward = load("actions/findBackward.svg", -370398567, 2);
    /** 16x16 */ public static final @NotNull Icon FindEntireFile = load("actions/findEntireFile.svg", 1310415198, 2);
    /** 16x16 */ public static final @NotNull Icon FindForward = load("actions/findForward.svg", 1089397599, 2);
    /** 16x16 */ public static final @NotNull Icon ForceRefresh = load("actions/forceRefresh.svg", -267014537, 2);
    /** 16x16 */ public static final @NotNull Icon Forward = load("actions/forward.svg", -449230818, 2);
    /** 16x16 */ public static final @NotNull Icon GC = load("actions/gc.svg", 459516688, 2);
    /** 16x16 */ public static final @NotNull Icon GeneratedFolder = load("actions/generatedFolder.svg", -1732821854, 2);
    /** 16x16 */ public static final @NotNull Icon GroupBy = load("actions/groupBy.svg", -727491896, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByClass = load("actions/GroupByClass.svg", 1170933791, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByFile = load("actions/GroupByFile.svg", -386835527, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByMethod = load("actions/groupByMethod.svg", -1781536269, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByModule = load("actions/GroupByModule.svg", -1846114593, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByModuleGroup = load("actions/GroupByModuleGroup.svg", -819101855, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByPackage = load("actions/GroupByPackage.svg", 575382324, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByPrefix = load("actions/GroupByPrefix.svg", 1534289922, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByTestProduction = load("actions/groupByTestProduction.svg", 396796907, 2);
    /** 16x16 */ public static final @NotNull Icon Help = load("actions/help.svg", 1063934876, 2);
    /** 16x16 */ public static final @NotNull Icon Highlighting = load("actions/highlighting.svg", -845914366, 2);
    /** 9x5 */ public static final @NotNull Icon InlayDropTriangle = load("actions/inlayDropTriangle.svg", -105694013, 0);
    /** 12x12 */ public static final @NotNull Icon InlayGear = load("actions/inlayGear.svg", 1011688860, 0);
    /** 12x12 */ public static final @NotNull Icon InlayGlobe = load("actions/inlayGlobe.svg", -639766760, 0);
    /** 12x12 */ public static final @NotNull Icon InlayRenameInComments = load("actions/inlayRenameInComments.svg", 1457044264, 0);
    /** 12x12 */ public static final @NotNull Icon InlayRenameInCommentsActive = load("actions/inlayRenameInCommentsActive.svg", -23569655, 2);
    /** 12x12 */ public static final @NotNull Icon InlayRenameInNoCodeFiles = load("actions/inlayRenameInNoCodeFiles.svg", -1377142413, 0);
    /** 12x12 */ public static final @NotNull Icon InlayRenameInNoCodeFilesActive = load("actions/inlayRenameInNoCodeFilesActive.svg", -256406409, 2);
    /** 12x12 */ public static final @NotNull Icon InlineDropFrame = load("actions/inlineDropFrame.svg", 74286525, 2);
    /** 12x12 */ public static final @NotNull Icon InlineDropFrameSelected = load("actions/inlineDropFrameSelected.svg", -1147095696, 2);
    /** 16x16 */ public static final @NotNull Icon InSelection = load("actions/inSelection.svg", -497925107, 2);
    /** 16x16 */ public static final @NotNull Icon Install = load("actions/install.svg", 44445574, 2);
    /** 16x16 */ public static final @NotNull Icon IntentionBulb = load("actions/intentionBulb.svg", 1973202841, 2);
    /** 16x16 */ public static final @NotNull Icon IntentionBulbGrey = load("actions/intentionBulbGrey.svg", 1155658496, 2);
    /** 16x16 */ public static final @NotNull Icon Lightning = load("actions/lightning.svg", 1920895767, 2);
    /** 16x16 */ public static final @NotNull Icon ListChanges = load("actions/listChanges.svg", -434698465, 2);
    /** 16x16 */ public static final @NotNull Icon ListFiles = load("actions/listFiles.svg", -1612529355, 2);
    /** 16x16 */ public static final @NotNull Icon MatchCase = load("actions/matchCase.svg", -528899811, 0);
    /** 16x16 */ public static final @NotNull Icon MatchCaseHovered = load("actions/matchCaseHovered.svg", 170013092, 0);
    /** 16x16 */ public static final @NotNull Icon MatchCaseSelected = load("actions/matchCaseSelected.svg", 2089376149, 0);
    /** 16x16 */ public static final @NotNull Icon MenuCut = load("actions/menu-cut.svg", -1275833973, 2);
    /** 16x16 */ public static final @Deprecated @NotNull Icon Menu_cut = MenuCut;
    /** 16x16 */ public static final @NotNull Icon MenuOpen = load("actions/menu-open.svg", -766200053, 2);
    /** 16x16 */ public static final @Deprecated @NotNull Icon Menu_open = MenuOpen;
    /** 16x16 */ public static final @NotNull Icon MenuPaste = load("actions/menu-paste.svg", 666306, 2);
    /** 16x16 */ public static final @Deprecated @NotNull Icon Menu_paste = MenuPaste;
    /** 16x16 */ public static final @NotNull Icon MenuSaveall = load("actions/menu-saveall.svg", 290595172, 2);
    /** 16x16 */ public static final @Deprecated @NotNull Icon Menu_saveall = MenuSaveall;
    /** 16x16 */ public static final @NotNull Icon ModuleDirectory = load("actions/moduleDirectory.svg", -1096058350, 2);
    /** 16x16 */ public static final @NotNull Icon More = load("actions/more.svg", 78501471, 2);
    /** 16x16 */ public static final @NotNull Icon MoreHorizontal = load("actions/moreHorizontal.svg", 278211526, 2);
    /** 12x12 */ public static final @NotNull Icon MoveToButton = load("actions/move-to-button.svg", 2097241816, 2);
    /** 16x16 */ public static final @NotNull Icon MoveDown = load("actions/moveDown.svg", 394122626, 2);
    /** 16x16 */ public static final @NotNull Icon MoveTo2 = load("actions/MoveTo2.svg", 1731940405, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToBottomLeft = load("actions/moveToBottomLeft.svg", 1279215654, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToBottomRight = load("actions/moveToBottomRight.svg", 1215499596, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToLeftBottom = load("actions/moveToLeftBottom.svg", 282611425, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToLeftTop = load("actions/moveToLeftTop.svg", -326150103, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToRightBottom = load("actions/moveToRightBottom.svg", 1255184073, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToRightTop = load("actions/moveToRightTop.svg", 1741432149, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToTopLeft = load("actions/moveToTopLeft.svg", 457491006, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToTopRight = load("actions/moveToTopRight.svg", 1197245929, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToWindow = load("actions/moveToWindow.svg", 1079714633, 2);
    /** 16x16 */ public static final @NotNull Icon MoveUp = load("actions/moveUp.svg", -1866067855, 2);
    /** 16x16 */ public static final @NotNull Icon New = load("actions/new.svg", 1479049347, 2);
    /** 16x16 */ public static final @NotNull Icon NewFolder = load("actions/newFolder.svg", -1660745804, 2);
    /** 16x16 */ public static final @NotNull Icon NextOccurence = load("actions/nextOccurence.svg", -1881343262, 2);
    /** 16x16 */ public static final @NotNull Icon OfflineMode = load("actions/offlineMode.svg", 1505160067, 2);
    /** 16x16 */ public static final @NotNull Icon OpenNewTab = load("actions/openNewTab.svg", 2085972414, 2);
    /** 16x16 */ public static final @NotNull Icon Pause = load("actions/pause.svg", 2098707198, 2);
    /** 16x16 */ public static final @NotNull Icon PinTab = load("actions/pinTab.svg", 447737854, 0);
    /** 16x16 */ public static final @NotNull Icon Play_back = load("actions/play_back.svg", 2096783909, 2);
    /** 16x16 */ public static final @NotNull Icon Play_first = load("actions/play_first.svg", -124243780, 2);
    /** 16x16 */ public static final @NotNull Icon Play_forward = load("actions/play_forward.svg", -2045967829, 2);
    /** 16x16 */ public static final @NotNull Icon Play_last = load("actions/play_last.svg", -1743978314, 2);
    /** 16x16 */ public static final @NotNull Icon PopFrame = load("actions/popFrame.svg", 186461438, 2);
    /** 16x16 */ public static final @NotNull Icon PreserveCase = load("actions/preserveCase.svg", -235871785, 0);
    /** 16x16 */ public static final @NotNull Icon PreserveCaseHover = load("actions/preserveCaseHover.svg", -358609581, 0);
    /** 16x16 */ public static final @NotNull Icon PreserveCaseSelected = load("actions/preserveCaseSelected.svg", 418024956, 0);
    /** 16x16 */ public static final @NotNull Icon PrettyPrint = load("actions/prettyPrint.svg", 1368640647, 2);
    /** 16x16 */ public static final @NotNull Icon Preview = load("actions/preview.svg", 1259785675, 2);
    /** 16x16 */ public static final @NotNull Icon PreviewDetails = load("actions/previewDetails.svg", -935121176, 2);
    /** 16x16 */ public static final @NotNull Icon PreviewDetailsVertically = load("actions/previewDetailsVertically.svg", -1736268126, 2);
    /** 16x16 */ public static final @NotNull Icon PreviousOccurence = load("actions/previousOccurence.svg", 243419918, 2);
    /** 16x16 */ public static final @NotNull Icon Profile = load("actions/profile.svg", -1623476622, 2);
    /** 16x16 */ public static final @NotNull Icon ProfileBlue = load("actions/profileBlue.svg", -1602235104, 2);
    /** 16x16 */ public static final @NotNull Icon ProfileCPU = load("actions/profileCPU.svg", 240784257, 2);
    /** 16x16 */ public static final @NotNull Icon ProfileMemory = load("actions/profileMemory.svg", 350300795, 2);
    /** 16x16 */ public static final @NotNull Icon ProfileRed = load("actions/profileRed.svg", -1753778402, 2);
    /** 16x16 */ public static final @NotNull Icon ProfileYellow = load("actions/profileYellow.svg", 294810864, 2);
    /** 16x16 */ public static final @NotNull Icon ProjectDirectory = load("actions/projectDirectory.svg", 549109021, 2);
    /** 16x16 */ public static final @NotNull Icon ProjectWideAnalysisOff = load("actions/projectWideAnalysisOff.svg", 629410414, 2);
    /** 16x16 */ public static final @NotNull Icon ProjectWideAnalysisOn = load("actions/projectWideAnalysisOn.svg", 1278020541, 2);
    /** 16x16 */ public static final @NotNull Icon Properties = load("actions/properties.svg", 1383139040, 2);
    /** 16x16 */ public static final @NotNull Icon QuickfixBulb = load("actions/quickfixBulb.svg", -1538383477, 2);
    /** 16x16 */ public static final @NotNull Icon QuickfixOffBulb = load("actions/quickfixOffBulb.svg", 741722898, 2);
    /** 16x16 */ public static final @NotNull Icon RealIntentionBulb = load("actions/realIntentionBulb.svg", 408540346, 2);
    /** 16x16 */ public static final @NotNull Icon Redo = load("actions/redo.svg", 763350286, 2);
    /** 16x16 */ public static final @NotNull Icon RefactoringBulb = load("actions/refactoringBulb.svg", -1514355977, 2);
    /** 16x16 */ public static final @NotNull Icon Refresh = load("actions/refresh.svg", 1222721003, 2);
    /** 16x16 */ public static final @NotNull Icon Regex = load("actions/regex.svg", 729958119, 0);
    /** 16x16 */ public static final @NotNull Icon RegexHovered = load("actions/regexHovered.svg", 500751363, 0);
    /** 16x16 */ public static final @NotNull Icon RegexSelected = load("actions/regexSelected.svg", 880611879, 0);
    /** 16x16 */ public static final @NotNull Icon RemoveMulticaret = load("actions/RemoveMulticaret.svg", 404043519, 2);
    /** 16x16 */ public static final @NotNull Icon Replace = load("actions/replace.svg", -1782554597, 2);
    /** 16x16 */ public static final @NotNull Icon Rerun = load("actions/rerun.svg", 2065367825, 2);
    /** 16x16 */ public static final @NotNull Icon Restart = load("actions/restart.svg", -1061587310, 2);
    /** 16x16 */ public static final @NotNull Icon RestartDebugger = load("actions/restartDebugger.svg", -1909568261, 2);
    /** 16x16 */ public static final @NotNull Icon RestartFrame = load("actions/restartFrame.svg", 1726549955, 2);
    /** 16x16 */ public static final @NotNull Icon Resume = load("actions/resume.svg", -126449896, 2);
    /** 16x16 */ public static final @NotNull Icon Rollback = load("actions/rollback.svg", 999672860, 2);
    /** 16x16 */ public static final @NotNull Icon Run_anything = load("actions/run_anything.svg", 404767459, 2);
    /** 16x16 */ public static final @NotNull Icon RunAll = load("actions/runAll.svg", -1427611576, 2);
    /** 16x16 */ public static final @NotNull Icon RunToCursor = load("actions/runToCursor.svg", -1129396370, 2);
    /** 16x16 */ public static final @NotNull Icon Scratch = load("actions/scratch.svg", 1756877241, 2);
    /** 16x16 */ public static final @NotNull Icon Search = load("actions/search.svg", -1633915875, 0);
    /** 16x16 */ public static final @NotNull Icon SearchNewLine = load("actions/searchNewLine.svg", -1711701606, 0);
    /** 16x16 */ public static final @NotNull Icon SearchNewLineHover = load("actions/searchNewLineHover.svg", 459634644, 0);
    /** 16x16 */ public static final @NotNull Icon SearchWithHistory = load("actions/searchWithHistory.svg", 563697543, 0);
    /** 16x16 */ public static final @NotNull Icon Selectall = load("actions/selectall.svg", -469082014, 2);
    /** 16x16 */ public static final @NotNull Icon SetDefault = load("actions/setDefault.svg", 1584328481, 2);
    /** 14x14 */ public static final @NotNull Icon Share = load("actions/share.png", 0, 1);
    /** 16x16 */ public static final @NotNull Icon ShortcutFilter = load("actions/shortcutFilter.svg", -636227386, 2);
    /** 16x16 */ public static final @NotNull Icon Show = load("actions/show.svg", 1300662213, 2);
    /** 16x16 */ public static final @NotNull Icon ShowAsTree = load("actions/showAsTree.svg", -1574590264, 2);
    /** 16x16 */ public static final @NotNull Icon ShowCode = load("actions/showCode.svg", -1165716144, 2);
    /** 16x16 */ public static final @NotNull Icon ShowImportStatements = load("actions/showImportStatements.svg", -1715399838, 2);
    /** 16x16 */ public static final @NotNull Icon ShowReadAccess = load("actions/showReadAccess.svg", 44349734, 2);
    /** 16x16 */ public static final @NotNull Icon ShowWriteAccess = load("actions/showWriteAccess.svg", 264206780, 2);
    /** 16x16 */ public static final @NotNull Icon SplitHorizontally = load("actions/splitHorizontally.svg", -423710974, 2);
    /** 16x16 */ public static final @NotNull Icon SplitVertically = load("actions/splitVertically.svg", 1355120566, 2);
    /** 16x16 */ public static final @NotNull Icon StartDebugger = load("actions/startDebugger.svg", -1608720165, 2);
    /** 16x16 */ public static final @NotNull Icon StartMemoryProfile = load("actions/startMemoryProfile.svg", 1887984941, 2);
    /** 16x16 */ public static final @NotNull Icon StepOut = load("actions/stepOut.svg", 418463006, 2);
    /** 16x16 */ public static final @NotNull Icon StepOutCodeBlock = load("actions/stepOutCodeBlock.svg", -1353913440, 2);
    /** 16x16 */ public static final @NotNull Icon StopRefresh = load("actions/stopRefresh.svg", -578474912, 2);
    /** 16x16 */ public static final @NotNull Icon Stub = load("actions/stub.svg", 404335983, 2);
    /** 16x16 */ public static final @NotNull Icon SuggestedRefactoringBulb = load("actions/suggestedRefactoringBulb.svg", 2098375183, 2);
    /** 16x16 */ public static final @NotNull Icon Suspend = load("actions/suspend.svg", 1645987906, 2);
    /** 16x16 */ public static final @NotNull Icon SwapPanels = load("actions/swapPanels.svg", 2027907919, 2);
    /** 16x16 */ public static final @NotNull Icon SynchronizeScrolling = load("actions/synchronizeScrolling.svg", -519401023, 2);
    /** 16x16 */ public static final @NotNull Icon SyncPanels = load("actions/syncPanels.svg", 1101642732, 2);
    /** 16x16 */ public static final @NotNull Icon ToggleSoftWrap = load("actions/toggleSoftWrap.svg", -639118463, 2);
    /** 16x16 */ public static final @NotNull Icon ToggleVisibility = load("actions/toggleVisibility.svg", 621859739, 2);
    /** 16x16 */ public static final @NotNull Icon TraceInto = load("actions/traceInto.svg", 838472230, 2);
    /** 16x16 */ public static final @NotNull Icon TraceOver = load("actions/traceOver.svg", 278186465, 2);
    /** 16x16 */ public static final @NotNull Icon Undo = load("actions/undo.svg", 1472205522, 2);
    /** 16x16 */ public static final @NotNull Icon Uninstall = load("actions/uninstall.svg", -829018541, 2);
    /** 16x16 */ public static final @NotNull Icon Unselectall = load("actions/unselectall.svg", 178059167, 2);
    /** 14x14 */ public static final @NotNull Icon Unshare = load("actions/unshare.png", 0, 1);
    /** 16x16 */ public static final @NotNull Icon Upload = load("actions/upload.svg", -399485195, 2);
    /** 16x16 */ public static final @NotNull Icon Words = load("actions/words.svg", 1127574249, 0);
    /** 16x16 */ public static final @NotNull Icon WordsHovered = load("actions/wordsHovered.svg", -1250126923, 0);
    /** 16x16 */ public static final @NotNull Icon WordsSelected = load("actions/wordsSelected.svg", -1338392888, 0);

    /** @deprecated use {@link #ToggleVisibility} */
    @SuppressWarnings("unused")
    @Deprecated
    public static final @NotNull Icon ShowHiddens = ToggleVisibility;

    /** @deprecated to be removed (use expandable text field instead, see https://jetbrains.design/intellij/controls/built_in_button/) */
    @SuppressWarnings("unused")
    @Deprecated
    @ScheduledForRemoval
    public static final @NotNull Icon ShowViewer = load("actions/showViewer.png", 0, 0);
  }

  public static final class Chooser {
    /** 16x16 */ public static final @NotNull Icon Bottom = load("chooser/bottom.svg", 960543216, 2);
    /** 16x16 */ public static final @NotNull Icon Left = load("chooser/left.svg", -442806840, 2);
    /** 16x16 */ public static final @NotNull Icon Right = load("chooser/right.svg", -1750082675, 2);
    /** 16x16 */ public static final @NotNull Icon Top = load("chooser/top.svg", 2018362438, 2);
  }

  public static final class CodeStyle {
    /** 16x16 */ public static final @NotNull Icon AddNewSectionRule = load("codeStyle/AddNewSectionRule.svg", 185037194, 2);
  }

  public static final class CodeWithMe {
    /** 16x16 */ public static final @NotNull Icon CwmAccess = load("codeWithMe/cwmAccess.svg", 917450831, 2);
    /** 12x16 */ public static final @NotNull Icon CwmAccessDotOff = load("codeWithMe/cwmAccessDotOff.svg", -933107186, 2);
    /** 12x16 */ public static final @NotNull Icon CwmAccessDotOn = load("codeWithMe/cwmAccessDotOn.svg", -1116986840, 2);
    /** 16x16 */ public static final @NotNull Icon CwmAccessOff = load("codeWithMe/cwmAccessOff.svg", -501486740, 2);
    /** 16x16 */ public static final @NotNull Icon CwmAccessOn = load("codeWithMe/cwmAccessOn.svg", -1970283024, 2);
    /** 16x16 */ public static final @NotNull Icon CwmCamOff = load("codeWithMe/cwmCamOff.svg", -1192618327, 2);
    /** 16x16 */ public static final @NotNull Icon CwmCamOn = load("codeWithMe/cwmCamOn.svg", -497788663, 2);
    /** 16x16 */ public static final @NotNull Icon CwmDisableCall = load("codeWithMe/cwmDisableCall.svg", 130494038, 2);
    /** 16x16 */ public static final @NotNull Icon CwmEnableCall = load("codeWithMe/cwmEnableCall.svg", 1778623886, 2);
    /** 16x16 */ public static final @NotNull Icon CwmFollow = load("codeWithMe/cwmFollow.svg", -1186955970, 2);
    /** 16x16 */ public static final @NotNull Icon CwmFollowMe = load("codeWithMe/cwmFollowMe.svg", 62636436, 2);
    /** 16x16 */ public static final @NotNull Icon CwmForceFollowMe = load("codeWithMe/cwmForceFollowMe.svg", -1050383683, 2);
    /** 16x16 */ public static final @NotNull Icon CwmFullSync = load("codeWithMe/cwmFullSync.svg", -1144079703, 2);
    /** 16x16 */ public static final @NotNull Icon CwmInvite = load("codeWithMe/cwmInvite.svg", 1985814698, 2);
    /** 16x16 */ public static final @NotNull Icon CwmJoin = load("codeWithMe/cwmJoin.svg", 1493486705, 2);
    /** 16x16 */ public static final @NotNull Icon CwmJump = load("codeWithMe/cwmJump.svg", 1125649996, 2);
    /** 16x16 */ public static final @NotNull Icon CwmKick = load("codeWithMe/cwmKick.svg", -764347649, 2);
    /** 16x16 */ public static final @NotNull Icon CwmLeaveCall = load("codeWithMe/cwmLeaveCall.svg", -2064626604, 2);
    /** 16x16 */ public static final @NotNull Icon CwmMicOff = load("codeWithMe/cwmMicOff.svg", -592389147, 2);
    /** 16x16 */ public static final @NotNull Icon CwmMicOn = load("codeWithMe/cwmMicOn.svg", 1946963746, 2);
    /** 16x16 */ public static final @NotNull Icon CwmPermissionEdit = load("codeWithMe/cwmPermissionEdit.svg", -1788567700, 2);
    /** 16x16 */ public static final @NotNull Icon CwmPermissions = load("codeWithMe/cwmPermissions.svg", -1489261767, 2);
    /** 16x16 */ public static final @NotNull Icon CwmPermissionView = load("codeWithMe/cwmPermissionView.svg", 699679254, 2);
    /** 16x16 */ public static final @NotNull Icon CwmScreenOff = load("codeWithMe/cwmScreenOff.svg", -1024447971, 2);
    /** 16x16 */ public static final @NotNull Icon CwmScreenOn = load("codeWithMe/cwmScreenOn.svg", -625909006, 2);
    /** 16x16 */ public static final @NotNull Icon CwmShared = load("codeWithMe/cwmShared.svg", -1129994105, 2);
    /** 16x16 */ public static final @NotNull Icon CwmTerminate = load("codeWithMe/cwmTerminate.svg", -1225085660, 2);
    /** 16x16 */ public static final @NotNull Icon Users = load("codeWithMe/users.svg", 2134925266, 2);
  }

  public static final class Debugger {
    /** 16x16 */ public static final @NotNull Icon AddToWatch = load("debugger/addToWatch.svg", 261484990, 2);
    /** 16x16 */ public static final @NotNull Icon AttachToProcess = load("debugger/attachToProcess.svg", -119801444, 2);
    /** 16x16 */ public static final @NotNull Icon ClassLevelWatch = load("debugger/classLevelWatch.svg", -379301931, 2);
    /** 16x16 */ public static final @NotNull Icon Console = load("debugger/console.svg", -545339860, 2);
    /** 16x16 */ public static final @NotNull Icon Db_array = load("debugger/db_array.svg", -1224205560, 2);
    /** 16x16 */ public static final @NotNull Icon Db_db_object = load("debugger/db_db_object.svg", -1307582581, 0);
    /** 12x12 */ public static final @NotNull Icon Db_dep_field_breakpoint = load("debugger/db_dep_field_breakpoint.svg", -1447839095, 2);
    /** 12x12 */ public static final @NotNull Icon Db_dep_line_breakpoint = load("debugger/db_dep_line_breakpoint.svg", 1062020793, 2);
    /** 12x12 */ public static final @NotNull Icon Db_dep_method_breakpoint = load("debugger/db_dep_method_breakpoint.svg", 1878031665, 2);
    /** 12x12 */ public static final @NotNull Icon Db_disabled_breakpoint = load("debugger/db_disabled_breakpoint.svg", -1176938726, 2);
    /** 16x16 */ public static final @NotNull Icon Db_disabled_breakpoint_process = load("debugger/db_disabled_breakpoint_process.svg", -607708497, 2);
    /** 12x12 */ public static final @NotNull Icon Db_disabled_exception_breakpoint = load("debugger/db_disabled_exception_breakpoint.svg", -737170770, 2);
    /** 12x12 */ public static final @NotNull Icon Db_disabled_field_breakpoint = load("debugger/db_disabled_field_breakpoint.svg", 1981890704, 2);
    /** 12x12 */ public static final @NotNull Icon Db_disabled_method_breakpoint = load("debugger/db_disabled_method_breakpoint.svg", -956972312, 2);
    /** 16x16 */ public static final @NotNull Icon Db_evaluateNode = load("debugger/db_evaluateNode.svg", 65109790, 0);
    /** 12x12 */ public static final @NotNull Icon Db_exception_breakpoint = load("debugger/db_exception_breakpoint.svg", -1813828118, 2);
    /** 12x12 */ public static final @NotNull Icon Db_field_breakpoint = load("debugger/db_field_breakpoint.svg", 1489800290, 2);
    /** 12x12 */ public static final @NotNull Icon Db_invalid_breakpoint = load("debugger/db_invalid_breakpoint.svg", -1316745797, 2);
    /** 12x12 */ public static final @NotNull Icon Db_method_breakpoint = load("debugger/db_method_breakpoint.svg", 1026841278, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_breakpoint = load("debugger/db_muted_breakpoint.svg", -967889864, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_dep_field_breakpoint = load("debugger/db_muted_dep_field_breakpoint.svg", -1827936823, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_dep_line_breakpoint = load("debugger/db_muted_dep_line_breakpoint.svg", -2021705609, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_dep_method_breakpoint = load("debugger/db_muted_dep_method_breakpoint.svg", -1152980223, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_disabled_breakpoint = load("debugger/db_muted_disabled_breakpoint.svg", -565993211, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_disabled_field_breakpoint = load("debugger/db_muted_disabled_field_breakpoint.svg", -1529944997, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_disabled_method_breakpoint = load("debugger/db_muted_disabled_method_breakpoint.svg", -565387653, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_field_breakpoint = load("debugger/db_muted_field_breakpoint.svg", -1036648569, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_method_breakpoint = load("debugger/db_muted_method_breakpoint.svg", -1838605769, 2);
    /** 12x12 */ public static final @NotNull Icon Db_no_suspend_breakpoint = load("debugger/db_no_suspend_breakpoint.svg", 2029089193, 2);
    /** 12x12 */ public static final @NotNull Icon Db_no_suspend_field_breakpoint = load("debugger/db_no_suspend_field_breakpoint.svg", -1254983375, 2);
    /** 12x12 */ public static final @NotNull Icon Db_no_suspend_method_breakpoint = load("debugger/db_no_suspend_method_breakpoint.svg", 460173834, 2);
    /** 12x12 */ public static final @NotNull Icon Db_obsolete = load("debugger/db_obsolete.svg", -190788872, 2);
    /** 16x16 */ public static final @NotNull Icon Db_primitive = load("debugger/db_primitive.svg", -1378422387, 0);
    /** 12x12 */ public static final @NotNull Icon Db_set_breakpoint = load("debugger/db_set_breakpoint.svg", -2145708050, 2);
    /** 12x12 */ public static final @NotNull Icon Db_verified_breakpoint = load("debugger/db_verified_breakpoint.svg", -1855648115, 2);
    /** 12x12 */ public static final @NotNull Icon Db_verified_field_breakpoint = load("debugger/db_verified_field_breakpoint.svg", -603619235, 2);
    /** 12x12 */ public static final @NotNull Icon Db_verified_method_breakpoint = load("debugger/db_verified_method_breakpoint.svg", 1369066312, 2);
    /** 12x12 */ public static final @NotNull Icon Db_verified_no_suspend_breakpoint = load("debugger/db_verified_no_suspend_breakpoint.svg", -562210730, 2);
    /** 12x12 */ public static final @NotNull Icon Db_verified_no_suspend_field_breakpoint = load("debugger/db_verified_no_suspend_field_breakpoint.svg", -949811498, 2);
    /** 12x12 */ public static final @NotNull Icon Db_verified_no_suspend_method_breakpoint = load("debugger/db_verified_no_suspend_method_breakpoint.svg", -1394403531, 2);
    /** 16x16 */ public static final @NotNull Icon Db_watch = load("debugger/db_watch.svg", 503752368, 0);
    /** 16x16 */ public static final @NotNull Icon EvaluateExpression = load("debugger/evaluateExpression.svg", 2112299343, 2);
    /** 16x16 */ public static final @NotNull Icon EvaluationResult = load("debugger/evaluationResult.svg", -525163140, 2);
    /** 16x16 */ public static final @NotNull Icon Frame = load("debugger/frame.svg", -1855177896, 2);
    /** 16x16 */ public static final @NotNull Icon KillProcess = load("debugger/killProcess.svg", 454589866, 2);
    /** 12x12 */ public static final @NotNull Icon LambdaBreakpoint = load("debugger/LambdaBreakpoint.svg", -1724022101, 2);
    /** 12x12 */ public static final @NotNull Icon MultipleBreakpoints = load("debugger/MultipleBreakpoints.svg", 2002186089, 2);
    /** 16x16 */ public static final @NotNull Icon MuteBreakpoints = load("debugger/muteBreakpoints.svg", 418085659, 2);
    /** 12x12 */ public static final @NotNull Icon NextStatement = load("debugger/nextStatement.svg", -1680841001, 2);
    /** 16x16 */ public static final @NotNull Icon Overhead = load("debugger/overhead.svg", 1628677339, 2);
    /** 16x16 */ public static final @NotNull Icon PromptInput = load("debugger/promptInput.svg", -1515095687, 2);
    /** 16x16 */ public static final @NotNull Icon PromptInputHistory = load("debugger/promptInputHistory.svg", 1442038809, 2);
    /** 7x9 */ public static final @NotNull Icon Question_badge = load("debugger/question_badge.svg", -646907291, 2);
    /** 16x16 */ public static final @NotNull Icon RestoreLayout = load("debugger/restoreLayout.svg", -1704968957, 2);
    /** 16x16 */ public static final @NotNull Icon Selfreference = load("debugger/selfreference.svg", 1455613646, 2);
    /** 16x16 */ public static final @NotNull Icon ShowCurrentFrame = load("debugger/showCurrentFrame.svg", 211817801, 2);
    /** 16x16 */ public static final @NotNull Icon SmartStepInto = load("debugger/smartStepInto.svg", 77975318, 2);
    /** 16x16 */ public static final @NotNull Icon ThreadAtBreakpoint = load("debugger/threadAtBreakpoint.svg", -1407074400, 0);
    /** 16x16 */ public static final @NotNull Icon ThreadCurrent = load("debugger/threadCurrent.svg", 1381304492, 0);
    /** 16x16 */ public static final @NotNull Icon ThreadFrozen = load("debugger/threadFrozen.svg", 587649727, 0);
    /** 16x16 */ public static final @NotNull Icon ThreadGroup = load("debugger/threadGroup.svg", 416953963, 0);
    /** 16x16 */ public static final @NotNull Icon ThreadGroupCurrent = load("debugger/threadGroupCurrent.svg", 796825443, 0);
    /** 16x16 */ public static final @NotNull Icon ThreadRunning = load("debugger/threadRunning.svg", -300570120, 0);
    /** 16x16 */ public static final @NotNull Icon Threads = load("debugger/threads.svg", -1978903808, 2);

    public static final class ThreadStates {
      /** 16x16 */ public static final @NotNull Icon Daemon_sign = load("debugger/threadStates/daemon_sign.svg", 1700544967, 2);
      /** 16x16 */ public static final @NotNull Icon Idle = load("debugger/threadStates/idle.svg", 644040484, 2);
      /** 16x16 */ public static final @NotNull Icon Socket = load("debugger/threadStates/socket.svg", 1864668204, 2);
    }

    /** 16x16 */ public static final @NotNull Icon ThreadSuspended = load("debugger/threadSuspended.svg", -90469810, 0);
    /** 16x16 */ public static final @NotNull Icon Value = load("debugger/value.svg", 179202275, 0);
    /** 16x16 */ public static final @NotNull Icon VariablesTab = load("debugger/variablesTab.svg", -940176518, 2);
    /** 16x16 */ public static final @NotNull Icon ViewBreakpoints = load("debugger/viewBreakpoints.svg", -53609064, 2);
    /** 16x16 */ public static final @NotNull Icon Watch = load("debugger/watch.svg", -2092404368, 2);
    /** 16x16 */ public static final @NotNull Icon WatchLastReturnValue = load("debugger/watchLastReturnValue.svg", 1220831402, 2);
  }

  public static final class Diff {
    /** 16x16 */ public static final @NotNull Icon ApplyNotConflicts = load("diff/applyNotConflicts.svg", -1793943414, 2);
    /** 16x16 */ public static final @NotNull Icon ApplyNotConflictsLeft = load("diff/applyNotConflictsLeft.svg", 311907425, 2);
    /** 16x16 */ public static final @NotNull Icon ApplyNotConflictsRight = load("diff/applyNotConflictsRight.svg", -396548663, 2);
    /** 12x12 */ public static final @NotNull Icon Arrow = load("diff/arrow.svg", 223720456, 2);
    /** 12x12 */ public static final @NotNull Icon ArrowLeftDown = load("diff/arrowLeftDown.svg", 1747373482, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowLeftRight = load("diff/arrowLeftRight.svg", 1430548919, 2);
    /** 12x12 */ public static final @NotNull Icon ArrowRight = load("diff/arrowRight.svg", -1743472448, 2);
    /** 12x12 */ public static final @NotNull Icon ArrowRightDown = load("diff/arrowRightDown.svg", 97372914, 2);
    /** 16x16 */ public static final @NotNull Icon Compare3LeftMiddle = load("diff/compare3LeftMiddle.svg", -718923836, 2);
    /** 16x16 */ public static final @NotNull Icon Compare3LeftRight = load("diff/compare3LeftRight.svg", -562954716, 2);
    /** 16x16 */ public static final @NotNull Icon Compare3MiddleRight = load("diff/compare3MiddleRight.svg", 1652630593, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4LeftBottom = load("diff/compare4LeftBottom.svg", -183423476, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4LeftMiddle = load("diff/compare4LeftMiddle.svg", 415135552, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4LeftRight = load("diff/compare4LeftRight.svg", -1147821219, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4MiddleBottom = load("diff/compare4MiddleBottom.svg", -1637406588, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4MiddleRight = load("diff/compare4MiddleRight.svg", 1491029297, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4RightBottom = load("diff/compare4RightBottom.svg", -1256206200, 2);
    /** 12x12 */ public static final @NotNull Icon GutterCheckBox = load("diff/gutterCheckBox.svg", 2016229489, 2);
    /** 12x12 */ public static final @NotNull Icon GutterCheckBoxIndeterminate = load("diff/gutterCheckBoxIndeterminate.svg", 1904115982, 2);
    /** 12x12 */ public static final @NotNull Icon GutterCheckBoxSelected = load("diff/gutterCheckBoxSelected.svg", 704723000, 2);
    /** 16x16 */ public static final @NotNull Icon Lock = load("diff/lock.svg", 1750685644, 2);
    /** 12x12 */ public static final @NotNull Icon MagicResolve = load("diff/magicResolve.svg", -1655645925, 2);
    /** 16x16 */ public static final @NotNull Icon MagicResolveToolbar = load("diff/magicResolveToolbar.svg", 2060686274, 2);
    /** 12x12 */ public static final @NotNull Icon Remove = load("diff/remove.svg", -123302370, 2);
    /** 12x12 */ public static final @NotNull Icon Revert = load("diff/revert.svg", -767640952, 2);
  }

  public static final class Duplicates {
    /** 16x16 */ public static final @NotNull Icon SendToTheLeft = load("duplicates/sendToTheLeft.png", 0, 1);
    /** 16x16 */ public static final @NotNull Icon SendToTheLeftGrayed = load("duplicates/sendToTheLeftGrayed.png", 0, 7);
    /** 16x16 */ public static final @NotNull Icon SendToTheRight = load("duplicates/sendToTheRight.png", 0, 1);
    /** 16x16 */ public static final @NotNull Icon SendToTheRightGrayed = load("duplicates/sendToTheRightGrayed.png", 0, 7);
  }

  public static final class FileTypes {
    /** 16x16 */ public static final @NotNull Icon AddAny = load("fileTypes/addAny.svg", -133454062, 0);
    /** 16x16 */ public static final @NotNull Icon Any_type = load("fileTypes/any_type.svg", -2015969646, 0);
    /** 16x16 */ public static final @NotNull Icon Archive = load("fileTypes/archive.svg", 63807973, 0);
    /** 16x16 */ public static final @NotNull Icon AS = load("fileTypes/as.svg", 1170823290, 0);
    /** 16x16 */ public static final @NotNull Icon Aspectj = load("fileTypes/aspectj.svg", 873577183, 0);
    /** 16x16 */ public static final @NotNull Icon Config = load("fileTypes/config.svg", -1921997937, 0);
    /** 16x16 */ public static final @NotNull Icon Css = load("fileTypes/css.svg", -822220863, 0);
    /** 16x16 */ public static final @NotNull Icon Custom = load("fileTypes/custom.svg", 813273496, 0);
    /** 16x16 */ public static final @NotNull Icon Diagram = load("fileTypes/diagram.svg", -1806769162, 0);
    /** 16x16 */ public static final @NotNull Icon Dtd = load("fileTypes/dtd.svg", 1254284973, 0);
    /** 16x16 */ public static final @NotNull Icon Hprof = load("fileTypes/hprof.svg", -1466240858, 0);
    /** 16x16 */ public static final @NotNull Icon Htaccess = load("fileTypes/htaccess.svg", -2006055053, 0);
    /** 16x16 */ public static final @NotNull Icon Html = load("fileTypes/html.svg", 251514329, 0);
    /** 16x16 */ public static final @NotNull Icon Idl = load("fileTypes/idl.svg", 1257687413, 0);
    /** 16x16 */ public static final @NotNull Icon Java = load("fileTypes/java.svg", -244706720, 0);
    /** 16x16 */ public static final @NotNull Icon JavaClass = load("fileTypes/javaClass.svg", 1383480153, 0);
    /** 16x16 */ public static final @NotNull Icon JavaOutsideSource = load("fileTypes/javaOutsideSource.svg", -530374036, 0);
    /** 16x16 */ public static final @NotNull Icon JavaScript = load("fileTypes/javaScript.svg", 849564471, 0);
    /** 16x16 */ public static final @NotNull Icon Jfr = load("fileTypes/jfr.svg", 498787882, 0);
    /** 16x16 */ public static final @NotNull Icon Json = load("fileTypes/json.svg", 1980748441, 2);
    /** 16x16 */ public static final @NotNull Icon JsonSchema = load("fileTypes/jsonSchema.svg", 1897871038, 2);
    /** 16x16 */ public static final @NotNull Icon Jsp = load("fileTypes/jsp.svg", -1798181074, 0);
    /** 16x16 */ public static final @NotNull Icon Jspx = load("fileTypes/jspx.svg", -393545720, 0);
    /** 16x16 */ public static final @NotNull Icon Manifest = load("fileTypes/manifest.svg", 168847131, 0);
    /** 16x16 */ public static final @NotNull Icon Properties = load("fileTypes/properties.svg", 1300828393, 0);
    /** 16x16 */ public static final @NotNull Icon Regexp = load("fileTypes/regexp.svg", -1991571369, 0);
    /** 16x16 */ public static final @NotNull Icon Text = load("fileTypes/text.svg", 1962868418, 0);
    /** 16x16 */ public static final @NotNull Icon UiForm = load("fileTypes/uiForm.svg", 952655620, 0);
    /** 16x16 */ public static final @NotNull Icon Unknown = load("fileTypes/unknown.svg", 618637734, 0);
    /** 16x16 */ public static final @NotNull Icon WsdlFile = load("fileTypes/wsdlFile.svg", -1139576636, 0);
    /** 16x16 */ public static final @NotNull Icon Xhtml = load("fileTypes/xhtml.svg", 1530030968, 0);
    /** 16x16 */ public static final @NotNull Icon Xml = load("fileTypes/xml.svg", 787500067, 0);
    /** 16x16 */ public static final @NotNull Icon XsdFile = load("fileTypes/xsdFile.svg", -1419189200, 0);
    /** 16x16 */ public static final @NotNull Icon Yaml = load("fileTypes/yaml.svg", -1329357097, 0);
  }

  public static final class General {
    /** 16x16 */ public static final @NotNull Icon ActualZoom = load("general/actualZoom.svg", 370349260, 2);
    /** 16x16 */ public static final @NotNull Icon Add = load("general/add.svg", -1236253043, 2);
    /** 16x16 */ public static final @NotNull Icon AddJdk = load("general/addJdk.svg", 1880068768, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowDown = load("general/arrowDown.svg", -410749632, 2);
    /** 9x5 */ public static final @NotNull Icon ArrowDownSmall = load("general/arrowDownSmall.svg", 2046274078, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowLeft = load("general/arrowLeft.svg", -9217205, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowRight = load("general/arrowRight.svg", 487107893, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowSplitCenterH = load("general/arrowSplitCenterH.svg", -1895560366, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowSplitCenterV = load("general/arrowSplitCenterV.svg", 618536293, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowUp = load("general/arrowUp.svg", 1720752152, 2);
    /** 16x16 */ public static final @NotNull Icon AutoscrollFromSource = load("general/autoscrollFromSource.svg", 272641387, 2);
    /** 16x16 */ public static final @NotNull Icon AutoscrollToSource = load("general/autoscrollToSource.svg", 1711976092, 2);
    /** 16x16 */ public static final @NotNull Icon Balloon = load("general/balloon.svg", 1171949891, 2);
    /** 16x16 */ public static final @NotNull Icon BalloonError = load("general/balloonError.svg", 438513851, 2);
    /** 16x16 */ public static final @NotNull Icon BalloonInformation = load("general/balloonInformation.svg", -546864497, 2);
    /** 16x16 */ public static final @NotNull Icon BalloonWarning = load("general/balloonWarning.svg", 1350732918, 2);
    /** 12x12 */ public static final @NotNull Icon BalloonWarning12 = load("general/balloonWarning12.svg", -1233211629, 2);
    /** 32x15 */ public static final @NotNull Icon Beta = load("general/beta.svg", 308724033, 0);
    /** 8x4 */ public static final @NotNull Icon ButtonDropTriangle = load("general/buttonDropTriangle.svg", -748998926, 2);
    /** 16x16 */ public static final @NotNull Icon ChevronDown = load("general/chevron-down.svg", 488259365, 0);
    /** 16x16 */ public static final @NotNull Icon ChevronLeft = load("general/chevron-left.svg", 406800240, 0);
    /** 16x16 */ public static final @NotNull Icon ChevronRight = load("general/chevron-right.svg", -2043660603, 0);
    /** 16x16 */ public static final @NotNull Icon ChevronUp = load("general/chevron-up.svg", 1606463749, 0);
    /** 16x16 */ public static final @NotNull Icon CollapseComponent = load("general/collapseComponent.svg", -73784044, 0);
    /** 16x16 */ public static final @NotNull Icon CollapseComponentHover = load("general/collapseComponentHover.svg", 775205160, 0);
    /** 16x16 */ public static final @NotNull Icon ContextHelp = load("general/contextHelp.svg", 844309978, 0);
    /** 16x16 */ public static final @NotNull Icon CopyHovered = load("general/copyHovered.svg", -1405822428, 0);
    /** 2x19 */ public static final @NotNull Icon Divider = load("general/divider.svg", 256490204, 2);
    /** 16x16 */ public static final @NotNull Icon Dropdown = load("general/dropdown.svg", 824410848, 2);
    /** 13x13 */ public static final @NotNull Icon DropdownGutter = load("general/dropdownGutter.svg", 2094809806, 2);
    /** 2x20 */ public static final @NotNull Icon DropPlace = load("general/dropPlace.svg", 498079320, 2);
    /** 9x9 */ public static final @NotNull Icon Ellipsis = load("general/ellipsis.svg", 604156148, 2);
    /** 16x16 */ public static final @NotNull Icon Error = load("general/error.svg", -371643797, 0);
    /** 32x32 */ public static final @NotNull Icon ErrorDialog = load("general/errorDialog.svg", 607429921, 0);
    /** 16x16 */ public static final @NotNull Icon ExclMark = load("general/exclMark.svg", 1631624886, 2);
    /** 16x16 */ public static final @NotNull Icon ExpandComponent = load("general/expandComponent.svg", 693944927, 0);
    /** 16x16 */ public static final @NotNull Icon ExpandComponentHover = load("general/expandComponentHover.svg", -1071637405, 0);
    /** 16x16 */ public static final @NotNull Icon ExternalTools = load("general/externalTools.svg", -279880145, 2);
    /** 16x16 */ public static final @NotNull Icon Filter = load("general/filter.svg", 1016268657, 2);
    /** 16x16 */ public static final @NotNull Icon FitContent = load("general/fitContent.svg", -952079922, 2);
    /** 16x16 */ public static final @NotNull Icon Gear = load("general/gear.svg", 64615343, 0);
    /** 16x16 */ public static final @NotNull Icon GearHover = load("general/gearHover.svg", -373105458, 0);
    /** 16x16 */ public static final @NotNull Icon GearPlain = load("general/gearPlain.svg", -1619739059, 2);
    /** 16x16 */ public static final @NotNull Icon HideToolWindow = load("general/hideToolWindow.svg", 450747086, 2);
    /** 16x16 */ public static final @NotNull Icon ImplementingMethod = load("general/implementingMethod.svg", 1658823950, 1);
    /** 16x16 */ public static final @NotNull Icon Information = load("general/information.svg", -585393858, 0);
    /** 32x32 */ public static final @NotNull Icon InformationDialog = load("general/informationDialog.svg", -1451644931, 0);
    /** 16x16 */ public static final @NotNull Icon InheritedMethod = load("general/inheritedMethod.svg", -1797082771, 0);
    /** 16x16 */ public static final @NotNull Icon Inline_edit = load("general/inline_edit.svg", -1744457067, 0);
    /** 16x16 */ public static final @NotNull Icon Inline_edit_hovered = load("general/inline_edit_hovered.svg", 1181812990, 0);
    /** 16x16 */ public static final @NotNull Icon InlineAdd = load("general/inlineAdd.svg", 493672331, 0);
    /** 16x16 */ public static final @NotNull Icon InlineAddHover = load("general/inlineAddHover.svg", 1818743208, 0);
    /** 16x16 */ public static final @NotNull Icon InlineCopy = load("general/inlineCopy.svg", 1698505300, 0);
    /** 16x16 */ public static final @NotNull Icon InlineCopyHover = load("general/inlineCopyHover.svg", 782811694, 0);
    /** 16x16 */ public static final @NotNull Icon InlineRefresh = load("general/inlineRefresh.svg", 1677735708, 0);
    /** 16x16 */ public static final @NotNull Icon InlineRefreshHover = load("general/inlineRefreshHover.svg", -1613452403, 0);
    /** 16x16 */ public static final @NotNull Icon InlineVariables = load("general/inlineVariables.svg", 685532810, 0);
    /** 16x16 */ public static final @NotNull Icon InlineVariablesHover = load("general/inlineVariablesHover.svg", 156083113, 0);
    /** 16x16 */ public static final @NotNull Icon InspectionsError = load("general/inspectionsError.svg", -2018608507, 0);
    /** 16x16 */ public static final @NotNull Icon InspectionsErrorEmpty = load("general/inspectionsErrorEmpty.svg", 1975999273, 0);
    /** 16x16 */ public static final @NotNull Icon InspectionsEye = load("general/inspectionsEye.svg", 634426019, 2);
    /** 16x16 */ public static final @NotNull Icon InspectionsMixed = load("general/inspectionsMixed.svg", -356352111, 2);
    /** 16x16 */ public static final @NotNull Icon InspectionsOK = load("general/inspectionsOK.svg", 1093447497, 2);
    /** 16x17 */ public static final @NotNull Icon InspectionsOKEmpty = load("general/inspectionsOKEmpty.svg", -1480469300, 2);
    /** 16x16 */ public static final @NotNull Icon InspectionsPause = load("general/inspectionsPause.svg", 416456635, 2);
    /** 16x16 */ public static final @NotNull Icon InspectionsPowerSaveMode = load("general/inspectionsPowerSaveMode.svg", 2117841691, 0);
    /** 16x16 */ public static final @NotNull Icon InspectionsTrafficOff = load("general/inspectionsTrafficOff.svg", 521338597, 2);
    /** 16x16 */ public static final @NotNull Icon InspectionsTypos = load("general/inspectionsTypos.svg", 1655587505, 2);
    /** 16x16 */ public static final @NotNull Icon InspectionsWarning = load("general/inspectionsWarning.svg", 738380238, 0);
    /** 16x16 */ public static final @NotNull Icon InspectionsWarningEmpty = load("general/inspectionsWarningEmpty.svg", -228570010, 0);
    /** 16x16 */ public static final @NotNull Icon Layout = load("general/layout.svg", 1825834180, 2);
    /** 16x16 */ public static final @NotNull Icon LayoutEditorOnly = load("general/layoutEditorOnly.svg", -2113094506, 2);
    /** 16x16 */ public static final @NotNull Icon LayoutEditorPreview = load("general/layoutEditorPreview.svg", 2034602036, 2);
    /** 16x16 */ public static final @NotNull Icon LayoutPreviewOnly = load("general/layoutPreviewOnly.svg", -1522711426, 2);
    /** 14x14 */ public static final @NotNull Icon LinkDropTriangle = load("general/linkDropTriangle.svg", 210361384, 2);
    /** 16x16 */ public static final @NotNull Icon LocalizationSettings = load("general/localizationSettings.svg", 1046116892, 0);
    /** 16x16 */ public static final @NotNull Icon Locate = load("general/locate.svg", 1768697765, 2);
    /** 13x13 */ public static final @NotNull Icon Modified = load("general/modified.svg", 1767457365, 2);
    /** 13x13 */ public static final @NotNull Icon ModifiedSelected = load("general/modifiedSelected.svg", -765270051, 0);
    /** 16x16 */ public static final @NotNull Icon MoreTabs = load("general/moreTabs.svg", -710214806, 2);
    /** 16x16 */ public static final @NotNull Icon Mouse = load("general/mouse.svg", 1716879580, 2);
    /** 16x16 */ public static final @NotNull Icon Note = load("general/note.svg", -37482237, 0);
    /** 24x24 */ public static final @NotNull Icon NotificationError = load("general/notificationError.svg", -88475773, 2);
    /** 24x24 */ public static final @NotNull Icon NotificationInfo = load("general/notificationInfo.svg", 76471879, 2);
    /** 24x24 */ public static final @NotNull Icon NotificationWarning = load("general/notificationWarning.svg", -1793999716, 2);
    /** 16x16 */ public static final @NotNull Icon OpenDisk = load("general/openDisk.svg", 1690828212, 0);
    /** 16x16 */ public static final @NotNull Icon OpenDiskHover = load("general/openDiskHover.svg", 1612325831, 0);
    /** 16x16 */ public static final @NotNull Icon OverridenMethod = load("general/overridenMethod.svg", -303739634, 0);
    /** 16x16 */ public static final @NotNull Icon OverridingMethod = load("general/overridingMethod.svg", -440147955, 0);
    /** 16x16 */ public static final @NotNull Icon Pin_tab = load("general/pin_tab.svg", 513437504, 2);
    /** 16x16 */ public static final @NotNull Icon Print = load("general/print.svg", 211684288, 2);
    /** 9x9 */ public static final @NotNull Icon ProjectConfigurable = load("general/projectConfigurable.svg", 91194395, 0);
    /** 16x16 */ public static final @NotNull Icon ProjectStructure = load("general/projectStructure.svg", -1372936599, 2);
    /** 16x16 */ public static final @NotNull Icon ProjectTab = load("general/projectTab.svg", 874064248, 0);
    /** 32x32 */ public static final @NotNull Icon QuestionDialog = load("general/questionDialog.svg", 266482789, 0);
    /** 16x16 */ public static final @NotNull Icon ReaderMode = load("general/readerMode.svg", 824275963, 2);
    /** 16x16 */ public static final @NotNull Icon Remove = load("general/remove.svg", 1325744550, 2);
    /** 16x16 */ public static final @NotNull Icon Reset = load("general/reset.svg", 2085410244, 2);
    /** 16x16 */ public static final @NotNull Icon RunWithCoverage = load("general/runWithCoverage.svg", 1501593386, 2);
    /** 16x16 */ public static final @NotNull Icon SeparatorH = load("general/separatorH.svg", -69448803, 2);
    /** 16x16 */ public static final @NotNull Icon Settings = load("general/settings.svg", 1403928905, 2);
    /** 16x16 */ public static final @NotNull Icon Show_to_implement = load("general/show_to_implement.svg", 529160888, 7);
    /** 16x16 */ public static final @NotNull Icon ShowInfos = load("general/showInfos.svg", -952216238, 2);
    /** 16x16 */ public static final @NotNull Icon ShowWarning = load("general/showWarning.svg", -1042271256, 2);
    /** 48x48 */ public static final @NotNull Icon SuccessDialog = load("general/successDialog.svg", -97855675, 0);
    /** 16x16 */ public static final @NotNull Icon TbHidden = load("general/tbHidden.svg", 725382904, 2);
    /** 16x16 */ public static final @NotNull Icon TbShown = load("general/tbShown.svg", 1376577829, 2);
    /** 32x32 */ public static final @NotNull Icon Tip = load("general/tip.svg", -194472512, 2);
    /** 16x16 */ public static final @NotNull Icon TodoDefault = load("general/todoDefault.svg", 757613227, 0);
    /** 16x16 */ public static final @NotNull Icon TodoImportant = load("general/todoImportant.svg", -822371262, 0);
    /** 16x16 */ public static final @NotNull Icon TodoQuestion = load("general/todoQuestion.svg", 1346810580, 0);
    /** 16x16 */ public static final @NotNull Icon Tree = load("general/tree.svg", 896646834, 0);
    /** 16x16 */ public static final @NotNull Icon TreeHovered = load("general/treeHovered.svg", 8554972, 0);
    /** 16x16 */ public static final @NotNull Icon TreeSelected = load("general/treeSelected.svg", -1221629489, 0);
    /** 16x16 */ public static final @NotNull Icon User = load("general/user.svg", 1628811366, 0);
    /** 16x16 */ public static final @NotNull Icon Warning = load("general/warning.svg", -656524350, 2);
    /** 16x16 */ public static final @NotNull Icon WarningDecorator = load("general/warningDecorator.svg", -36101345, 2);
    /** 32x32 */ public static final @NotNull Icon WarningDialog = load("general/warningDialog.svg", 176617589, 0);
    /** 16x16 */ public static final @NotNull Icon Web = load("general/web.svg", -1202287650, 2);
    /** 16x16 */ public static final @NotNull Icon ZoomIn = load("general/zoomIn.svg", 97508505, 2);
    /** 16x16 */ public static final @NotNull Icon ZoomOut = load("general/zoomOut.svg", -1574578211, 2);
  }

  public static final class Graph {
    /** 16x16 */ public static final @NotNull Icon ActualZoom = load("graph/actualZoom.svg", 370349260, 2);
    /** 16x16 */ public static final @NotNull Icon Grid = load("graph/grid.svg", -691312363, 2);
    /** 16x16 */ public static final @NotNull Icon Layout = load("graph/layout.svg", 1825834180, 2);
    /** 16x16 */ public static final @NotNull Icon NodeSelectionMode = load("graph/nodeSelectionMode.svg", -925772132, 2);
    /** 16x16 */ public static final @NotNull Icon SnapToGrid = load("graph/snapToGrid.svg", -2048322498, 2);
    /** 16x16 */ public static final @NotNull Icon ZoomIn = load("graph/zoomIn.svg", 97508505, 2);
    /** 16x16 */ public static final @NotNull Icon ZoomOut = load("graph/zoomOut.svg", -1574578211, 2);
  }

  public static final class Gutter {
    /** 12x12 */ public static final @NotNull Icon Colors = load("gutter/colors.svg", 185017205, 2);
    /** 12x12 */ public static final @NotNull Icon ExtAnnotation = load("gutter/extAnnotation.svg", -921380497, 2);
    /** 12x12 */ public static final @NotNull Icon ImplementedMethod = load("gutter/implementedMethod.svg", 2039465810, 7);
    /** 12x12 */ public static final @NotNull Icon ImplementingFunctionalInterface = load("gutter/implementingFunctionalInterface.svg", -1373621313, 2);
    /** 12x12 */ public static final @NotNull Icon ImplementingMethod = load("gutter/implementingMethod.svg", 1209418356, 7);
    /** 12x12 */ public static final @NotNull Icon Java9Service = load("gutter/java9Service.svg", 67211354, 2);
    /** 12x12 */ public static final @NotNull Icon JavadocEdit = load("gutter/javadocEdit.svg", 406293995, 0);
    /** 12x12 */ public static final @NotNull Icon JavadocRead = load("gutter/javadocRead.svg", -932783319, 0);
    /** 12x12 */ public static final @NotNull Icon OverridenMethod = load("gutter/overridenMethod.svg", -1360655128, 2);
    /** 12x12 */ public static final @NotNull Icon OverridingMethod = load("gutter/overridingMethod.svg", 1057326851, 2);
    /** 12x12 */ public static final @NotNull Icon ReadAccess = load("gutter/readAccess.svg", 2017517885, 2);
    /** 12x12 */ public static final @NotNull Icon RecursiveMethod = load("gutter/recursiveMethod.svg", -1413299281, 2);
    /** 12x12 */ public static final @NotNull Icon SiblingInheritedMethod = load("gutter/siblingInheritedMethod.svg", 313605450, 7);
    /** 12x12 */ public static final @NotNull Icon SuggestedRefactoringBulb = load("gutter/suggestedRefactoringBulb.svg", -36482271, 2);
    /** 13x12 */ public static final @NotNull Icon SuggestedRefactoringBulbDisabled = load("gutter/suggestedRefactoringBulbDisabled.svg", -406769997, 2);
    /** 8x8 */ public static final @NotNull Icon Unique = load("gutter/unique.svg", 1399745158, 2);
    /** 12x12 */ public static final @NotNull Icon WriteAccess = load("gutter/writeAccess.svg", -1610791056, 2);
  }

  public static final class Hierarchy {
    /** 16x16 */ public static final @NotNull Icon Class = load("hierarchy/class.svg", 997263334, 2);
    /** 8x8 */ public static final @NotNull Icon MethodDefined = load("hierarchy/methodDefined.svg", -230333806, 2);
    /** 8x8 */ public static final @NotNull Icon MethodNotDefined = load("hierarchy/methodNotDefined.svg", 935167720, 2);
    /** 8x8 */ public static final @NotNull Icon ShouldDefineMethod = load("hierarchy/shouldDefineMethod.svg", 1551289875, 2);
    /** 16x16 */ public static final @NotNull Icon Subtypes = load("hierarchy/subtypes.svg", 1651999007, 2);
    /** 16x16 */ public static final @NotNull Icon Supertypes = load("hierarchy/supertypes.svg", -1644381851, 2);
  }

  public static final class Icons {
    public static final class Ide {
      /** 12x12 */ public static final @NotNull Icon MenuArrow = load("icons/ide/menuArrow.svg", -314929794, 2);
      /** 12x12 */ public static final @NotNull Icon MenuArrowSelected = load("icons/ide/menuArrowSelected.svg", -928536388, 2);
      /** 12x12 */ public static final @NotNull Icon NextStep = load("icons/ide/nextStep.svg", 832994849, 2);
      /** 12x12 */ public static final @NotNull Icon NextStepInverted = load("icons/ide/nextStepInverted.svg", -1121869909, 0);
    }
  }

  public static final class Ide {
    /** 16x16 */ public static final @NotNull Icon ConfigFile = load("ide/configFile.svg", -170575912, 2);
    /** 6x6 */ public static final @NotNull Icon ErrorPoint = load("ide/errorPoint.svg", 1899475559, 2);
    /** 14x14 */ public static final @NotNull Icon External_link_arrow = load("ide/external_link_arrow.svg", 425782437, 0);
    /** 16x16 */ public static final @NotNull Icon FatalErrorRead = load("ide/fatalError-read.svg", -716280782, 2);
    /** 16x16 */ public static final @NotNull Icon FatalError = load("ide/fatalError.svg", 931416130, 2);
    /** 32x32 */ public static final @NotNull Icon FeedbackRating = load("ide/feedbackRating.svg", 2076130332, 2);
    /** 32x32 */ public static final @NotNull Icon FeedbackRatingFocused = load("ide/feedbackRatingFocused.svg", -303316253, 2);
    /** 32x32 */ public static final @NotNull Icon FeedbackRatingFocusedOn = load("ide/feedbackRatingFocusedOn.svg", -155961732, 2);
    /** 32x32 */ public static final @NotNull Icon FeedbackRatingOn = load("ide/feedbackRatingOn.svg", 1299596390, 0);
    /** 32x32 */ public static final @NotNull Icon FeedbackRatingOnFocused = load("ide/feedbackRatingOnFocused.svg", 1604472766, 0);
    /** 16x16 */ public static final @NotNull Icon Gift = load("ide/gift.svg", 1462640968, 2);
    /** 16x16 */ public static final @NotNull Icon HectorOff = load("ide/hectorOff.svg", 140119018, 2);
    /** 16x16 */ public static final @NotNull Icon HectorOn = load("ide/hectorOn.svg", 1056820765, 2);
    /** 16x16 */ public static final @NotNull Icon HectorSyntax = load("ide/hectorSyntax.svg", 1917397148, 2);
    /** 16x16 */ public static final @NotNull Icon IncomingChangesOn = load("ide/incomingChangesOn.svg", 682827200, 2);
    /** 12x12 */ public static final @NotNull Icon Link = load("ide/link.svg", 1119728065, 2);
    /** 16x16 */ public static final @NotNull Icon LocalScope = load("ide/localScope.svg", -1788752276, 0);
    /** 16x16 */ public static final @NotNull Icon LocalScopeAction = load("ide/localScopeAction.svg", -1396890428, 2);

    public static final class Macro {
      /** 16x16 */ public static final @NotNull Icon Recording_1 = load("ide/macro/recording_1.svg", 1267970553, 2);
      /** 16x16 */ public static final @NotNull Icon Recording_2 = load("ide/macro/recording_2.svg", -419348166, 2);
      /** 16x16 */ public static final @NotNull Icon Recording_3 = load("ide/macro/recording_3.svg", -744432152, 2);
      /** 16x16 */ public static final @NotNull Icon Recording_4 = load("ide/macro/recording_4.svg", -540836993, 2);
    }

    /** 5x15 */ public static final @NotNull Icon NavBarSeparator = load("ide/NavBarSeparator.svg", 82395628, 0);

    public static final class Notification {
      /** 16x16 */ public static final @NotNull Icon Close = load("ide/notification/close.svg", 476802600, 0);
      /** 16x16 */ public static final @NotNull Icon CloseHover = load("ide/notification/closeHover.svg", -1309600199, 0);
      /** 16x16 */ public static final @NotNull Icon Collapse = load("ide/notification/collapse.svg", -1542792194, 0);
      /** 16x16 */ public static final @NotNull Icon CollapseHover = load("ide/notification/collapseHover.svg", 1647869713, 0);
      /** 16x16 */ public static final @NotNull Icon DropTriangle = load("ide/notification/dropTriangle.svg", 872716043, 0);
      /** 16x16 */ public static final @NotNull Icon ErrorEvents = load("ide/notification/errorEvents.svg", 96758116, 2);
      /** 16x16 */ public static final @NotNull Icon Expand = load("ide/notification/expand.svg", -47160601, 0);
      /** 16x16 */ public static final @NotNull Icon ExpandHover = load("ide/notification/expandHover.svg", 991652933, 0);
      /** 16x16 */ public static final @NotNull Icon Gear = load("ide/notification/gear.svg", 1254793796, 0);
      /** 16x16 */ public static final @NotNull Icon GearHover = load("ide/notification/gearHover.svg", 348224596, 0);
      /** 16x16 */ public static final @NotNull Icon IdeUpdate = load("ide/notification/ideUpdate.svg", -1777824081, 2);
      /** 16x16 */ public static final @NotNull Icon InfoEvents = load("ide/notification/infoEvents.svg", 1282946229, 2);
      /** 16x16 */ public static final @NotNull Icon NoEvents = load("ide/notification/noEvents.svg", -1703715751, 2);
      /** 16x16 */ public static final @NotNull Icon PluginUpdate = load("ide/notification/pluginUpdate.svg", -699932298, 2);
      /** 16x16 */ public static final @NotNull Icon WarningEvents = load("ide/notification/warningEvents.svg", -521831596, 2);
    }

    /** 16x16 */ public static final @NotNull Icon OutgoingChangesOn = load("ide/outgoingChangesOn.svg", 468551905, 2);
    /** 16x16 */ public static final @NotNull Icon Pipette = load("ide/pipette.svg", 588523465, 2);
    /** 16x16 */ public static final @NotNull Icon Pipette_rollover = load("ide/pipette_rollover.svg", -1945563881, 2);
    /** 16x16 */ public static final @NotNull Icon PowerSaveMode = load("ide/powerSaveMode.svg", -1390504087, 2);
    /** 11x11 */ public static final @NotNull Icon Rating = load("ide/rating.svg", 10276317, 2);
    /** 11x11 */ public static final @NotNull Icon Rating1 = load("ide/rating1.svg", 832480461, 2);
    /** 11x11 */ public static final @NotNull Icon Rating2 = load("ide/rating2.svg", 36063610, 2);
    /** 11x11 */ public static final @NotNull Icon Rating3 = load("ide/rating3.svg", -611121799, 2);
    /** 11x11 */ public static final @NotNull Icon Rating4 = load("ide/rating4.svg", 1177083708, 2);
    /** 16x16 */ public static final @NotNull Icon Readonly = load("ide/readonly.svg", 887305494, 2);
    /** 16x16 */ public static final @NotNull Icon Readwrite = load("ide/readwrite.svg", 2065798685, 2);

    public static final class RunAnything {
      /** 16x16 */ public static final @NotNull Icon OpenRecentProject = load("ide/runAnything/openRecentProject.svg", -1196570278, 0);
    }

    public static final class Shadow {
      /** 4x14 */ public static final @NotNull Icon Bottom = load("ide/shadow/bottom.svg", -2122084643, 0);
      /** 18x22 */ public static final @NotNull Icon BottomLeft = load("ide/shadow/bottomLeft.svg", -1504742305, 0);
      /** 18x22 */ public static final @NotNull Icon BottomRight = load("ide/shadow/bottomRight.svg", -1513689120, 0);
      /** 10x4 */ public static final @NotNull Icon Left = load("ide/shadow/left.svg", -705429317, 0);
      /** 10x4 */ public static final @NotNull Icon Right = load("ide/shadow/right.svg", 2018406197, 0);
      /** 4x6 */ public static final @NotNull Icon Top = load("ide/shadow/top.svg", -765813933, 0);
      /** 18x14 */ public static final @NotNull Icon TopLeft = load("ide/shadow/topLeft.svg", -988090633, 0);
      /** 18x14 */ public static final @NotNull Icon TopRight = load("ide/shadow/topRight.svg", 1260817314, 0);
    }

    /** 7x10 */ public static final @NotNull Icon Statusbar_arrows = load("ide/statusbar_arrows.svg", -1082440731, 2);
    /** 16x16 */ public static final @NotNull Icon UpDown = load("ide/upDown.svg", 2105952998, 2);
  }

  /** 100x100 */ public static final @NotNull Icon Idea_logo_welcome = load("idea_logo_welcome.png", 0, 0);

  public static final class Javaee {
    /** 16x16 */ public static final @NotNull Icon Home = load("javaee/home.svg", 552312832, 1);
    /** 16x16 */ public static final @NotNull Icon PersistenceEntity = load("javaee/persistenceEntity.svg", -1020708342, 0);
    /** 16x16 */ public static final @NotNull Icon UpdateRunningApplication = load("javaee/updateRunningApplication.svg", 389752174, 2);
    /** 16x16 */ public static final @NotNull Icon WebModuleGroup = load("javaee/webModuleGroup.svg", 639772902, 0);
    /** 16x16 */ public static final @NotNull Icon WebService = load("javaee/WebService.svg", -1955378858, 0);
    /** 16x16 */ public static final @NotNull Icon WebServiceClient = load("javaee/WebServiceClient.svg", -774023431, 0);
  }

  public static final class Json {
    /** 16x16 */ public static final @NotNull Icon Array = load("json/array.svg", 804330643, 2);
    /** 16x16 */ public static final @NotNull Icon Object = load("json/object.svg", 1575206082, 2);
  }

  /** 80x80 */ public static final @NotNull Icon Logo_welcomeScreen = load("Logo_welcomeScreen.png", 0, 1);
  /** 80x80 */ public static final @NotNull Icon Logo_welcomeScreen_CE = load("Logo_welcomeScreen_CE.png", 0, 1);

  public static final class Mac {
    /** 55x55 */ public static final @NotNull Icon AppIconOk512 = load("mac/appIconOk512.png", 0, 0);

    public static final class Touchbar {
      /** 16x16 */ public static final @NotNull Icon PopoverArrow = load("mac/touchbar/popoverArrow.svg", -1125569342, 0);
      /** 24x24 */ public static final @NotNull Icon PopoverClose = load("mac/touchbar/popoverClose.svg", 525967229, 0);
    }
  }

  public static final class Modules {
    /** 16x16 */ public static final @NotNull Icon AddExcludedRoot = load("modules/addExcludedRoot.svg", 1988724006, 2);
    /** 16x16 */ public static final @NotNull Icon Annotation = load("modules/annotation.svg", 1932476396, 0);
    /** 16x16 */ public static final @NotNull Icon EditFolder = load("modules/editFolder.svg", 995462733, 0);
    /** 16x16 */ public static final @NotNull Icon ExcludedGeneratedRoot = load("modules/excludedGeneratedRoot.svg", 1816060865, 0);
    /** 16x16 */ public static final @NotNull Icon ExcludeRoot = load("modules/excludeRoot.svg", -1204555829, 0);
    /** 16x16 */ public static final @NotNull Icon GeneratedFolder = load("modules/generatedFolder.svg", 105797316, 0);
    /** 16x16 */ public static final @NotNull Icon GeneratedSourceRoot = load("modules/generatedSourceRoot.svg", -2076359125, 0);
    /** 16x16 */ public static final @NotNull Icon GeneratedTestRoot = load("modules/generatedTestRoot.svg", 522368653, 0);
    /** 16x16 */ public static final @NotNull Icon Output = load("modules/output.svg", 1974303945, 0);
    /** 16x16 */ public static final @NotNull Icon ResourcesRoot = load("modules/resourcesRoot.svg", 1285426194, 0);
    /** 16x16 */ public static final @NotNull Icon SourceRoot = load("modules/sourceRoot.svg", -810501043, 0);
    /** 16x16 */ public static final @NotNull Icon SourceRootFileLayer = load("modules/sourceRootFileLayer.svg", 1979775248, 0);
    /** 16x16 */ public static final @NotNull Icon Split = load("modules/split.svg", -806767962, 2);
    /** 16x16 */ public static final @NotNull Icon TestResourcesRoot = load("modules/testResourcesRoot.svg", -1014168637, 0);
    /** 16x16 */ public static final @NotNull Icon TestRoot = load("modules/testRoot.svg", 455514743, 0);
    /** 16x16 */ public static final @NotNull Icon UnloadedModule = load("modules/unloadedModule.svg", 1661160062, 0);
    /** 16x16 */ public static final @NotNull Icon UnmarkWebroot = load("modules/unmarkWebroot.svg", -1891812686, 0);
  }

  public static final class Nodes {
    /** 16x16 */ public static final @NotNull Icon AbstractClass = load("nodes/abstractClass.svg", -127350184, 0);
    /** 16x16 */ public static final @NotNull Icon AbstractException = load("nodes/abstractException.svg", 139434637, 0);
    /** 16x16 */ public static final @NotNull Icon AbstractMethod = load("nodes/abstractMethod.svg", -2071301545, 1);
    /** 16x16 */ public static final @NotNull Icon Alias = load("nodes/alias.svg", 1928687199, 0);
    /** 16x16 */ public static final @NotNull Icon Annotationtype = load("nodes/annotationtype.svg", -1898685236, 0);
    /** 16x16 */ public static final @NotNull Icon AnonymousClass = load("nodes/anonymousClass.svg", 1886284385, 0);
    /** 16x16 */ public static final @NotNull Icon Artifact = load("nodes/artifact.svg", 277587837, 0);
    /** 16x16 */ public static final @NotNull Icon Aspect = load("nodes/aspect.svg", 1072447779, 0);
    /** 16x16 */ public static final @NotNull Icon BookmarkGroup = load("nodes/bookmarkGroup.svg", -388261783, 0);
    /** 16x16 */ public static final @NotNull Icon C_plocal = load("nodes/c_plocal.svg", -1537953031, 0);
    /** 16x16 */ public static final @NotNull Icon C_private = load("nodes/c_private.svg", -704550289, 0);
    /** 16x16 */ public static final @NotNull Icon C_protected = load("nodes/c_protected.svg", 1491822082, 0);
    /** 16x16 */ public static final @NotNull Icon C_public = load("nodes/c_public.svg", -534947534, 0);
    /** 16x16 */ public static final @NotNull Icon Class = load("nodes/class.svg", -71520997, 0);
    /** 16x16 */ public static final @NotNull Icon ClassInitializer = load("nodes/classInitializer.svg", 1988831721, 0);
    /** 16x16 */ public static final @NotNull Icon CompiledClassesFolder = load("nodes/compiledClassesFolder.svg", 839188478, 0);
    /** 16x16 */ public static final @NotNull Icon ConfigFolder = load("nodes/configFolder.svg", 926767158, 0);
    /** 16x16 */ public static final @NotNull Icon Console = load("nodes/console.svg", -415620650, 0);
    /** 16x16 */ public static final @NotNull Icon Constant = load("nodes/constant.svg", 2036135883, 0);
    /** 16x16 */ public static final @NotNull Icon Controller = load("nodes/controller.svg", 2030166721, 0);
    /** 16x16 */ public static final @NotNull Icon CopyOfFolder = load("nodes/copyOfFolder.svg", 2079111542, 0);
    /** 16x16 */ public static final @NotNull Icon CustomRegion = load("nodes/customRegion.svg", 852595362, 0);
    /** 16x16 */ public static final @NotNull Icon Cvs_global = load("nodes/cvs_global.svg", 1599443165, 0);
    /** 16x16 */ public static final @NotNull Icon Cvs_roots = load("nodes/cvs_roots.svg", 751203101, 0);
    /** 16x16 */ public static final @NotNull Icon DataColumn = load("nodes/dataColumn.svg", -1800070347, 0);
    /** 16x16 */ public static final @NotNull Icon DataSchema = load("nodes/dataSchema.svg", -792122029, 0);
    /** 16x16 */ public static final @NotNull Icon DataTables = load("nodes/DataTables.svg", 788857212, 0);
    /** 16x16 */ public static final @NotNull Icon Deploy = load("nodes/deploy.svg", -1469455153, 0);
    /** 16x16 */ public static final @NotNull Icon Desktop = load("nodes/desktop.svg", -262489600, 2);
    /** 16x16 */ public static final @NotNull Icon DoneMark = load("nodes/doneMark.svg", 21392624, 2);
    /** 16x16 */ public static final @NotNull Icon Editorconfig = load("nodes/editorconfig.svg", 1854493731, 0);
    /** 16x16 */ public static final @NotNull Icon EmptyNode = load("nodes/emptyNode.svg", 246805233, 0);
    /** 16x16 */ public static final @NotNull Icon EnterpriseProject = load("nodes/enterpriseProject.svg", -1234158886, 0);
    /** 16x16 */ public static final @NotNull Icon EntryPoints = load("nodes/entryPoints.svg", -358318545, 0);
    /** 16x16 */ public static final @NotNull Icon Enum = load("nodes/enum.svg", 1472837615, 1);
    /** 16x16 */ public static final @NotNull Icon ErrorIntroduction = load("nodes/errorIntroduction.svg", -1179221538, 1);
    /** 16x16 */ public static final @NotNull Icon ErrorMark = load("nodes/errorMark.svg", -901168499, 2);
    /** 16x16 */ public static final @NotNull Icon ExceptionClass = load("nodes/exceptionClass.svg", -911216051, 0);
    /** 16x16 */ public static final @NotNull Icon ExcludedFromCompile = load("nodes/excludedFromCompile.svg", -1618531874, 0);
    /** 16x16 */ public static final @NotNull Icon ExtractedFolder = load("nodes/extractedFolder.svg", 784595101, 0);
    /** 16x16 */ public static final @NotNull Icon Favorite = load("nodes/favorite.svg", -1255921156, 0);
    /** 16x16 */ public static final @NotNull Icon Field = load("nodes/field.svg", 139367252, 0);
    /** 16x16 */ public static final @NotNull Icon FieldPK = load("nodes/fieldPK.svg", -967148568, 0);
    /** 16x16 */ public static final @NotNull Icon FilePrivate = load("nodes/filePrivate.svg", -1156476187, 0);
    /** 16x16 */ public static final @NotNull Icon FinalMark = load("nodes/finalMark.svg", -135258384, 0);
    /** 16x16 */ public static final @NotNull Icon Folder = load("nodes/folder.svg", 1305703421, 0);
    /** 16x16 */ public static final @NotNull Icon Function = load("nodes/function.svg", 1816598549, 0);
    /** 16x16 */ public static final @NotNull Icon Gvariable = load("nodes/gvariable.svg", -5259222, 0);
    /** 16x16 */ public static final @NotNull Icon HomeFolder = load("nodes/homeFolder.svg", -1158154492, 2);
    /** 16x16 */ public static final @NotNull Icon IdeaModule = load("nodes/ideaModule.svg", -885843183, 0);
    /** 16x16 */ public static final @NotNull Icon IdeaProject = load("nodes/ideaProject.svg", 1144021529, 0);
    /** 16x16 */ public static final @NotNull Icon Include = load("nodes/include.svg", 1484059454, 0);
    /** 16x16 */ public static final @NotNull Icon InspectionResults = load("nodes/inspectionResults.svg", 1755067511, 0);
    /** 16x16 */ public static final @NotNull Icon Interface = load("nodes/interface.svg", 697461045, 1);
    /** 16x16 */ public static final @NotNull Icon J2eeParameter = load("nodes/j2eeParameter.svg", 698396818, 0);
    /** 16x16 */ public static final @NotNull Icon JarDirectory = load("nodes/jarDirectory.svg", 945851780, 0);
    /** 16x16 */ public static final @NotNull Icon JavaDocFolder = load("nodes/javaDocFolder.svg", -1749570357, 0);
    /** 16x16 */ public static final @NotNull Icon JavaModule = load("nodes/javaModule.svg", -509715312, 0);

    public static final class Jsf {
      /** 16x16 */ public static final @NotNull Icon Renderer = load("nodes/jsf/renderer.svg", -1511055869, 0);
    }

    /** 16x16 */ public static final @NotNull Icon JunitTestMark = load("nodes/junitTestMark.svg", -1380333669, 0);
    /** 16x16 */ public static final @NotNull Icon KeymapAnt = load("nodes/keymapAnt.svg", -2063164118, 0);
    /** 16x16 */ public static final @NotNull Icon KeymapEditor = load("nodes/keymapEditor.svg", -648864428, 0);
    /** 16x16 */ public static final @NotNull Icon KeymapMainMenu = load("nodes/keymapMainMenu.svg", 507536782, 0);
    /** 16x16 */ public static final @NotNull Icon KeymapOther = load("nodes/keymapOther.svg", 1375639735, 0);
    /** 16x16 */ public static final @NotNull Icon KeymapTools = load("nodes/keymapTools.svg", -1894994558, 0);
    /** 16x16 */ public static final @NotNull Icon Lambda = load("nodes/lambda.svg", 1031730558, 0);
    /** 16x16 */ public static final @NotNull Icon Locked = load("nodes/locked.svg", -565791501, 0);
    /** 16x16 */ public static final @NotNull Icon LogFolder = load("nodes/logFolder.svg", -1159414905, 2);
    /** 16x16 */ public static final @NotNull Icon Method = load("nodes/method.svg", -1595368278, 1);
    /** 16x16 */ public static final @NotNull Icon MethodReference = load("nodes/methodReference.svg", 752896692, 1);
    /** 16x16 */ public static final @NotNull Icon ModelClass = load("nodes/modelClass.svg", 830021468, 0);
    /** 16x16 */ public static final @NotNull Icon Models = load("nodes/models.svg", -585065085, 0);
    /** 16x16 */ public static final @NotNull Icon Module = load("nodes/Module.svg", 855828362, 0);
    /** 16x16 */ public static final @NotNull Icon ModuleGroup = load("nodes/moduleGroup.svg", 2140575531, 0);
    /** 16x16 */ public static final @NotNull Icon MultipleTypeDefinitions = load("nodes/multipleTypeDefinitions.svg", -2047783169, 0);
    /** 16x16 */ public static final @NotNull Icon NativeLibrariesFolder = load("nodes/nativeLibrariesFolder.svg", 648856497, 0);
    /** 16x16 */ public static final @NotNull Icon NewParameter = load("nodes/newParameter.svg", 1268701239, 0);
    /** 16x16 */ public static final @NotNull Icon NodePlaceholder = load("nodes/nodePlaceholder.svg", 145447704, 0);
    /** 16x16 */ public static final @NotNull Icon NotFavoriteOnHover = load("nodes/notFavoriteOnHover.svg", -24919694, 0);
    /** 16x16 */ public static final @NotNull Icon ObjectTypeAttribute = load("nodes/objectTypeAttribute.svg", -1529357812, 0);
    /** 16x16 */ public static final @NotNull Icon Package = load("nodes/package.svg", 885913167, 0);
    /** 16x16 */ public static final @NotNull Icon PackageLocal = load("nodes/packageLocal.svg", 810279952, 0);
    /** 16x16 */ public static final @NotNull Icon Padlock = load("nodes/padlock.svg", 219141575, 0);
    /** 16x16 */ public static final @NotNull Icon Parameter = load("nodes/parameter.svg", 1704371363, 0);
    /** 16x16 */ public static final @NotNull Icon Plugin = load("nodes/plugin.svg", -575641590, 0);
    /** 16x16 */ public static final @NotNull Icon PluginJB = load("nodes/pluginJB.svg", 894649599, 0);
    /** 32x32 */ public static final @NotNull Icon PluginLogo = load("nodes/pluginLogo.svg", -2008516309, 0);
    /** 16x16 */ public static final @NotNull Icon Pluginnotinstalled = load("nodes/pluginnotinstalled.svg", -1925539045, 0);
    /** 16x16 */ public static final @NotNull Icon Pluginobsolete = load("nodes/pluginobsolete.svg", 658740509, 0);
    /** 16x16 */ public static final @NotNull Icon PluginRestart = load("nodes/pluginRestart.svg", -1356614337, 0);
    /** 16x16 */ public static final @NotNull Icon PpInvalid = load("nodes/ppInvalid.svg", -1871990535, 0);
    /** 16x16 */ public static final @NotNull Icon PpJar = load("nodes/ppJar.svg", 1979171528, 0);
    /** 16x16 */ public static final @NotNull Icon PpJdk = load("nodes/ppJdk.svg", 2044106340, 0);
    /** 16x16 */ public static final @NotNull Icon PpLib = load("nodes/ppLib.svg", 1752481509, 0);
    /** 16x16 */ public static final @NotNull Icon PpLibFolder = load("nodes/ppLibFolder.svg", 1661753031, 0);
    /** 16x16 */ public static final @NotNull Icon PpWeb = load("nodes/ppWeb.svg", 1730653471, 0);
    /** 16x16 */ public static final @NotNull Icon Private = load("nodes/private.svg", -791762870, 0);
    /** 16x16 */ public static final @NotNull Icon ProcessMark = load("nodes/processMark.svg", -1837009341, 2);
    /** 16x16 */ public static final @NotNull Icon Project = load("nodes/project.svg", 916349375, 0);
    /** 16x16 */ public static final @NotNull Icon Property = load("nodes/property.svg", -111380338, 0);
    /** 16x16 */ public static final @NotNull Icon PropertyRead = load("nodes/propertyRead.svg", 1949200710, 0);
    /** 16x16 */ public static final @NotNull Icon PropertyReadStatic = load("nodes/propertyReadStatic.svg", 1094123755, 0);
    /** 16x16 */ public static final @NotNull Icon PropertyReadWrite = load("nodes/propertyReadWrite.svg", -580599623, 0);
    /** 16x16 */ public static final @NotNull Icon PropertyReadWriteStatic = load("nodes/propertyReadWriteStatic.svg", -1628107067, 0);
    /** 16x16 */ public static final @NotNull Icon PropertyWrite = load("nodes/propertyWrite.svg", 1584048234, 0);
    /** 16x16 */ public static final @NotNull Icon PropertyWriteStatic = load("nodes/propertyWriteStatic.svg", -221183858, 0);
    /** 16x16 */ public static final @NotNull Icon Protected = load("nodes/protected.svg", 448268376, 0);
    /** 16x16 */ public static final @NotNull Icon Public = load("nodes/public.svg", 681541683, 0);
    /** 16x16 */ public static final @NotNull Icon ReadAccess = load("nodes/read-access.svg", -873833319, 0);
    /** 16x16 */ public static final @NotNull Icon Record = load("nodes/record.svg", 1126716386, 0);
    /** 16x16 */ public static final @NotNull Icon Related = load("nodes/related.svg", 1078760791, 0);
    /** 16x16 */ public static final @NotNull Icon ResourceBundle = load("nodes/resourceBundle.svg", -990019329, 0);
    /** 16x16 */ public static final @NotNull Icon RunnableMark = load("nodes/runnableMark.svg", 935961865, 0);
    /** 16x16 */ public static final @NotNull Icon RwAccess = load("nodes/rw-access.svg", -881193760, 0);
    /** 16x16 */ public static final @Deprecated @NotNull Icon Rw_access = RwAccess;
    /** 16x16 */ public static final @NotNull Icon SecurityRole = load("nodes/securityRole.svg", -1558330062, 0);
    /** 16x16 */ public static final @NotNull Icon Services = load("nodes/services.svg", 812372924, 0);
    /** 16x16 */ public static final @NotNull Icon Servlet = load("nodes/servlet.svg", 1437511853, 0);
    /** 16x16 */ public static final @NotNull Icon Shared = load("nodes/shared.svg", -1584213099, 0);
    /** 16x16 */ public static final @NotNull Icon SortBySeverity = load("nodes/sortBySeverity.svg", 1634506942, 2);
    /** 16x16 */ public static final @NotNull Icon Static = load("nodes/static.svg", 475627089, 0);
    /** 16x16 */ public static final @NotNull Icon StaticMark = load("nodes/staticMark.svg", 261728358, 0);
    /** 16x16 */ public static final @NotNull Icon Symlink = load("nodes/symlink.svg", -1990187852, 0);
    /** 16x16 */ public static final @NotNull Icon TabAlert = load("nodes/tabAlert.svg", 1497219586, 0);
    /** 16x16 */ public static final @NotNull Icon TabPin = load("nodes/tabPin.svg", 2134894292, 0);
    /** 16x16 */ public static final @NotNull Icon Tag = load("nodes/tag.svg", 989760482, 0);
    /** 16x16 */ public static final @NotNull Icon Target = load("nodes/target.svg", -1884088234, 0);
    /** 16x16 */ public static final @NotNull Icon Template = load("nodes/template.svg", -1647868656, 0);
    /** 16x16 */ public static final @NotNull Icon Test = load("nodes/test.svg", -1618760599, 0);
    /** 16x16 */ public static final @NotNull Icon TestGroup = load("nodes/testGroup.svg", -583694017, 0);
    /** 16x16 */ public static final @NotNull Icon TestIgnored = load("nodes/testIgnored.svg", 518410949, 0);
    /** 16x16 */ public static final @NotNull Icon TestSourceFolder = load("nodes/testSourceFolder.svg", -499120325, 0);
    /** 16x16 */ public static final @NotNull Icon Toolbox = load("nodes/toolbox.svg", 1675184983, 0);
    /** 16x16 */ public static final @NotNull Icon Type = load("nodes/type.svg", -722164684, 0);
    /** 16x16 */ public static final @NotNull Icon Undeploy = load("nodes/undeploy.svg", 1931602003, 0);
    /** 16x16 */ public static final @NotNull Icon Unknown = load("nodes/unknown.svg", -584105441, 0);
    /** 16x16 */ public static final @NotNull Icon UnknownJdk = load("nodes/unknownJdk.svg", -1904316825, 0);
    /** 16x16 */ public static final @NotNull Icon UpFolder = load("nodes/upFolder.svg", -288956004, 0);
    /** 16x16 */ public static final @NotNull Icon UpLevel = load("nodes/upLevel.svg", 814198611, 0);
    /** 16x16 */ public static final @NotNull Icon Variable = load("nodes/variable.svg", 1195972360, 0);
    /** 16x16 */ public static final @NotNull Icon WarningIntroduction = load("nodes/warningIntroduction.svg", -1279420808, 1);
    /** 16x16 */ public static final @NotNull Icon WarningMark = load("nodes/warningMark.svg", 1037560226, 2);
    /** 16x16 */ public static final @NotNull Icon WebFolder = load("nodes/webFolder.svg", -1333681489, 0);
    /** 16x16 */ public static final @NotNull Icon Weblistener = load("nodes/weblistener.svg", -1630620945, 0);
    /** 16x16 */ public static final @NotNull Icon Word = load("nodes/word.svg", -481608994, 0);
    /** 16x16 */ public static final @NotNull Icon WriteAccess = load("nodes/write-access.svg", 180733725, 0);
  }

  public static final class ObjectBrowser {
    /** 16x16 */ public static final @NotNull Icon AbbreviatePackageNames = load("objectBrowser/abbreviatePackageNames.svg", 1941410993, 2);
    /** 16x16 */ public static final @NotNull Icon CompactEmptyPackages = load("objectBrowser/compactEmptyPackages.svg", -291850535, 2);
    /** 16x16 */ public static final @NotNull Icon FlattenModules = load("objectBrowser/flattenModules.svg", -841356844, 2);
    /** 16x16 */ public static final @NotNull Icon FlattenPackages = load("objectBrowser/flattenPackages.svg", 2000567540, 2);
    /** 16x16 */ public static final @NotNull Icon ShowLibraryContents = load("objectBrowser/showLibraryContents.svg", -1037394574, 2);
    /** 16x16 */ public static final @NotNull Icon ShowMembers = load("objectBrowser/showMembers.svg", -811390086, 0);
    /** 16x16 */ public static final @NotNull Icon SortByType = load("objectBrowser/sortByType.svg", 2097078965, 2);
    /** 16x16 */ public static final @NotNull Icon Sorted = load("objectBrowser/sorted.svg", -830947121, 2);
    /** 16x16 */ public static final @NotNull Icon SortedByUsage = load("objectBrowser/sortedByUsage.svg", -1707431877, 2);
    /** 16x16 */ public static final @NotNull Icon VisibilitySort = load("objectBrowser/visibilitySort.svg", -487890310, 2);
  }

  public static final class Plugins {
    /** 16x16 */ public static final @NotNull Icon Disabled = load("plugins/disabled.svg", -5765452, 0);
    /** 12x12 */ public static final @NotNull Icon Downloads = load("plugins/downloads.svg", -1367739795, 2);
    /** 15x15 */ public static final @NotNull Icon ModifierInvalid = load("plugins/modifierInvalid.svg", 1801354712, 2);
    /** 40x40 */ public static final @NotNull Icon PluginLogo = load("plugins/pluginLogo.svg", -518389970, 0);
    /** 40x40 */ public static final @NotNull Icon PluginLogoDisabled = load("plugins/pluginLogoDisabled.svg", -1992332481, 0);
    /** 12x12 */ public static final @NotNull Icon Rating = load("plugins/rating.svg", -1307659501, 2);
    /** 12x12 */ public static final @NotNull Icon Updated = load("plugins/updated.svg", 252982351, 2);
  }

  public static final class Process {
    public static final class Big {
      /** 32x32 */ public static final @NotNull Icon Step_1 = load("process/big/step_1.svg", -1765680063, 0);
      /** 32x32 */ public static final @NotNull Icon Step_2 = load("process/big/step_2.svg", 908832501, 0);
      /** 32x32 */ public static final @NotNull Icon Step_3 = load("process/big/step_3.svg", -306209764, 0);
      /** 32x32 */ public static final @NotNull Icon Step_4 = load("process/big/step_4.svg", 1651044038, 0);
      /** 32x32 */ public static final @NotNull Icon Step_5 = load("process/big/step_5.svg", 1360626533, 0);
      /** 32x32 */ public static final @NotNull Icon Step_6 = load("process/big/step_6.svg", 1817211025, 0);
      /** 32x32 */ public static final @NotNull Icon Step_7 = load("process/big/step_7.svg", 119901058, 0);
      /** 32x32 */ public static final @NotNull Icon Step_8 = load("process/big/step_8.svg", -923631413, 0);
      /** 32x32 */ public static final @NotNull Icon Step_passive = load("process/big/step_passive.svg", -667614308, 0);
    }

    public static final class FS {
      /** 16x16 */ public static final @NotNull Icon Step_1 = load("process/fs/step_1.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_10 = load("process/fs/step_10.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_11 = load("process/fs/step_11.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_12 = load("process/fs/step_12.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_13 = load("process/fs/step_13.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_14 = load("process/fs/step_14.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_15 = load("process/fs/step_15.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_16 = load("process/fs/step_16.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_17 = load("process/fs/step_17.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_18 = load("process/fs/step_18.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_2 = load("process/fs/step_2.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_3 = load("process/fs/step_3.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_4 = load("process/fs/step_4.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_5 = load("process/fs/step_5.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_6 = load("process/fs/step_6.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_7 = load("process/fs/step_7.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_8 = load("process/fs/step_8.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_9 = load("process/fs/step_9.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_mask = load("process/fs/step_mask.png", 0, 1);
      /** 16x16 */ public static final @NotNull Icon Step_passive = load("process/fs/step_passive.png", 0, 7);
    }

    /** 14x14 */ public static final @NotNull Icon ProgressPause = load("process/progressPause.svg", 1059328281, 0);
    /** 14x14 */ public static final @NotNull Icon ProgressPauseHover = load("process/progressPauseHover.svg", 380694218, 0);
    /** 12x12 */ public static final @NotNull Icon ProgressPauseSmall = load("process/progressPauseSmall.svg", -2074242771, 0);
    /** 12x12 */ public static final @NotNull Icon ProgressPauseSmallHover = load("process/progressPauseSmallHover.svg", -1864018228, 0);
    /** 14x14 */ public static final @NotNull Icon ProgressResume = load("process/progressResume.svg", 1380197017, 0);
    /** 14x14 */ public static final @NotNull Icon ProgressResumeHover = load("process/progressResumeHover.svg", 1651796991, 0);
    /** 12x12 */ public static final @NotNull Icon ProgressResumeSmall = load("process/progressResumeSmall.svg", 1173655182, 0);
    /** 12x12 */ public static final @NotNull Icon ProgressResumeSmallHover = load("process/progressResumeSmallHover.svg", 1975819236, 0);
    /** 16x16 */ public static final @NotNull Icon Step_1 = load("process/step_1.svg", 792394077, 0);
    /** 16x16 */ public static final @NotNull Icon Step_2 = load("process/step_2.svg", 1853862984, 0);
    /** 16x16 */ public static final @NotNull Icon Step_3 = load("process/step_3.svg", -862128852, 0);
    /** 16x16 */ public static final @NotNull Icon Step_4 = load("process/step_4.svg", -1651457576, 0);
    /** 16x16 */ public static final @NotNull Icon Step_5 = load("process/step_5.svg", -1126505660, 0);
    /** 16x16 */ public static final @NotNull Icon Step_6 = load("process/step_6.svg", -131998162, 0);
    /** 16x16 */ public static final @NotNull Icon Step_7 = load("process/step_7.svg", -867829825, 0);
    /** 16x16 */ public static final @NotNull Icon Step_8 = load("process/step_8.svg", -1871474053, 0);
    /** 16x16 */ public static final @NotNull Icon Step_mask = load("process/step_mask.svg", 1881076531, 0);
    /** 16x16 */ public static final @NotNull Icon Step_passive = load("process/step_passive.svg", 473803789, 0);
    /** 14x14 */ public static final @NotNull Icon Stop = load("process/stop.svg", 1684315659, 0);
    /** 14x14 */ public static final @NotNull Icon StopHovered = load("process/stopHovered.svg", 165958031, 0);
    /** 12x12 */ public static final @NotNull Icon StopSmall = load("process/stopSmall.svg", -119002024, 0);
    /** 12x12 */ public static final @NotNull Icon StopSmallHovered = load("process/stopSmallHovered.svg", -1328761307, 0);
  }

  public static final class Providers {
    /** 16x16 */ public static final @NotNull Icon Apache = load("providers/apache.svg", 1150623716, 2);
    /** 16x16 */ public static final @NotNull Icon ApacheDerby = load("providers/apacheDerby.svg", 85626247, 2);
    /** 16x16 */ public static final @NotNull Icon ApachePhoenix = load("providers/apachePhoenix.svg", -1989183730, 0);
    /** 16x16 */ public static final @NotNull Icon Athena = load("providers/athena.svg", -820724644, 0);
    /** 16x16 */ public static final @NotNull Icon Azure = load("providers/azure.svg", 1752943562, 0);
    /** 16x16 */ public static final @NotNull Icon BigQuery = load("providers/bigQuery.svg", 1318710940, 0);
    /** 16x16 */ public static final @NotNull Icon Cassandra = load("providers/cassandra.svg", 1511851452, 2);
    /** 16x16 */ public static final @NotNull Icon ClickHouse = load("providers/clickHouse.svg", -207435713, 0);
    /** 16x16 */ public static final @NotNull Icon CockroachDB = load("providers/cockroachDB.svg", 471223242, 0);
    /** 16x16 */ public static final @NotNull Icon Couchbase = load("providers/couchbase.svg", -1313146722, 0);
    /** 16x16 */ public static final @NotNull Icon DB2 = load("providers/DB2.svg", 1246290135, 2);
    /** 16x16 */ public static final @NotNull Icon Eclipse = load("providers/eclipse.svg", 368039171, 2);
    /** 16x16 */ public static final @NotNull Icon Elasticsearch = load("providers/elasticsearch.svg", -797083948, 0);
    /** 16x16 */ public static final @NotNull Icon Exasol = load("providers/exasol.svg", -669364139, 2);
    /** 16x16 */ public static final @NotNull Icon Firebird = load("providers/firebird.svg", -1182823634, 0);
    /** 16x16 */ public static final @NotNull Icon GoogleCloudSpanner = load("providers/googleCloudSpanner.svg", -1326233284, 0);
    /** 16x16 */ public static final @NotNull Icon Greenplum = load("providers/greenplum.svg", -715255359, 0);
    /** 16x16 */ public static final @NotNull Icon H2 = load("providers/h2.svg", -1840843102, 2);
    /** 16x16 */ public static final @NotNull Icon HANA = load("providers/HANA.svg", 703066717, 0);
    /** 16x16 */ public static final @NotNull Icon Hive = load("providers/hive.svg", 1998741688, 2);
    /** 16x16 */ public static final @NotNull Icon Hsqldb = load("providers/hsqldb.svg", 1754937531, 0);
    /** 16x16 */ public static final @NotNull Icon Ibm = load("providers/ibm.svg", 1949152571, 2);
    /** 16x16 */ public static final @NotNull Icon Impala = load("providers/impala.svg", -616852615, 2);
    /** 16x16 */ public static final @NotNull Icon Informix = load("providers/informix.svg", 2065426356, 0);
    /** 16x16 */ public static final @NotNull Icon IntersystemCache = load("providers/intersystemCache.svg", -366365267, 2);
    /** 16x16 */ public static final @NotNull Icon Mariadb = load("providers/mariadb.svg", -1504561111, 2);
    /** 16x16 */ public static final @NotNull Icon Microsoft = load("providers/microsoft.svg", -288792143, 0);
    /** 16x16 */ public static final @NotNull Icon MongoDB = load("providers/mongoDB.svg", 1690199269, 0);
    /** 16x16 */ public static final @NotNull Icon Mysql = load("providers/mysql.svg", 685895166, 2);
    /** 16x16 */ public static final @NotNull Icon Netezza = load("providers/netezza.svg", 897343135, 2);
    /** 16x16 */ public static final @NotNull Icon Openedge = load("providers/openedge.svg", -892933219, 0);
    /** 16x16 */ public static final @NotNull Icon Oracle = load("providers/oracle.svg", 501669974, 0);
    /** 16x16 */ public static final @NotNull Icon Postgresql = load("providers/postgresql.svg", 808589440, 2);
    /** 16x16 */ public static final @NotNull Icon Presto = load("providers/presto.svg", -1973458769, 2);
    /** 16x16 */ public static final @NotNull Icon Redshift = load("providers/redshift.svg", -158004877, 0);
    /** 16x16 */ public static final @NotNull Icon Singlestore = load("providers/singlestore.svg", 1556951403, 0);
    /** 16x16 */ public static final @NotNull Icon Snowflake = load("providers/snowflake.svg", -1972320959, 0);
    /** 16x16 */ public static final @NotNull Icon Spark = load("providers/spark.svg", 808215193, 0);
    /** 16x16 */ public static final @NotNull Icon Sqlite = load("providers/sqlite.svg", -2022327787, 2);
    /** 16x16 */ public static final @NotNull Icon SqlServer = load("providers/sqlServer.svg", 293530968, 2);
    /** 16x16 */ public static final @NotNull Icon Sun = load("providers/sun.svg", 1229566278, 2);
    /** 16x16 */ public static final @NotNull Icon Sybase = load("providers/sybase.svg", 1818310616, 0);
    /** 16x16 */ public static final @NotNull Icon Tarantool = load("providers/tarantool.svg", -1011831593, 0);
    /** 16x16 */ public static final @NotNull Icon Teradata = load("providers/teradata.svg", 507962851, 0);
    /** 16x16 */ public static final @NotNull Icon Tibero = load("providers/tibero.svg", -1201793474, 2);
    /** 16x16 */ public static final @NotNull Icon Tidb = load("providers/tidb.svg", 1031303552, 0);
    /** 16x16 */ public static final @NotNull Icon Trino = load("providers/trino.svg", 245019578, 2);
    /** 16x16 */ public static final @NotNull Icon Vertica = load("providers/vertica.svg", -1457002626, 2);
    /** 16x16 */ public static final @NotNull Icon Yugabyte = load("providers/yugabyte.svg", -1054474169, 2);
  }

  public static final class RunConfigurations {
    /** 16x16 */ public static final @NotNull Icon Applet = load("runConfigurations/applet.svg", -353492289, 0);
    /** 16x16 */ public static final @NotNull Icon Application = load("runConfigurations/application.svg", -1883541480, 0);
    /** 16x16 */ public static final @NotNull Icon Compound = load("runConfigurations/compound.svg", -762939389, 0);
    /** 16x16 */ public static final @NotNull Icon HidePassed = load("runConfigurations/hidePassed.svg", 1197950841, 2);
    /** 16x16 */ public static final @NotNull Icon IgnoredTest = load("runConfigurations/ignoredTest.svg", 1738274413, 2);
    /** 16x16 */ public static final @NotNull Icon InvalidConfigurationLayer = load("runConfigurations/invalidConfigurationLayer.svg", -2011709256, 0);
    /** 16x16 */ public static final @NotNull Icon Junit = load("runConfigurations/junit.svg", -40464134, 0);
    /** 16x16 */ public static final @NotNull Icon Remote = load("runConfigurations/remote.svg", 1307060983, 2);
    /** 16x16 */ public static final @NotNull Icon RemoteDebug = load("runConfigurations/remoteDebug.svg", 120557540, 2);
    /** 16x16 */ public static final @NotNull Icon RerunFailedTests = load("runConfigurations/rerunFailedTests.svg", 772171593, 2);
    /** 16x16 */ public static final @NotNull Icon Scroll_down = load("runConfigurations/scroll_down.svg", -161769789, 2);
    /** 16x16 */ public static final @NotNull Icon Scroll_up = load("runConfigurations/scroll_up.svg", 2025826474, 2);
    /** 16x16 */ public static final @NotNull Icon ShowIgnored = load("runConfigurations/showIgnored.svg", -2015491858, 2);
    /** 16x16 */ public static final @NotNull Icon ShowPassed = load("runConfigurations/showPassed.svg", 535103682, 2);
    /** 16x16 */ public static final @NotNull Icon SortbyDuration = load("runConfigurations/sortbyDuration.svg", -118923104, 2);
    /** 16x16 */ public static final @NotNull Icon TestCustom = load("runConfigurations/testCustom.svg", -1601388720, 0);
    /** 16x16 */ public static final @NotNull Icon TestError = load("runConfigurations/testError.svg", -658679402, 0);
    /** 16x16 */ public static final @NotNull Icon TestFailed = load("runConfigurations/testFailed.svg", 543978917, 0);
    /** 16x16 */ public static final @NotNull Icon TestIgnored = load("runConfigurations/testIgnored.svg", -1526409754, 0);
    /** 16x16 */ public static final @NotNull Icon TestMark = load("runConfigurations/testMark.svg", -1843403169, 0);
    /** 16x16 */ public static final @NotNull Icon TestNotRan = load("runConfigurations/testNotRan.svg", 1499756384, 0);
    /** 16x16 */ public static final @NotNull Icon TestPassed = load("runConfigurations/testPassed.svg", 1743533311, 0);
    /** 16x16 */ public static final @NotNull Icon TestPassedIgnored = load("runConfigurations/testPassedIgnored.svg", 463301013, 0);
    /** 16x16 */ public static final @NotNull Icon TestPaused = load("runConfigurations/testPaused.svg", 110673988, 0);
    /** 16x16 */ public static final @NotNull Icon TestSkipped = load("runConfigurations/testSkipped.svg", -138456841, 0);

    public static final class TestState {
      /** 12x12 */ public static final @NotNull Icon Green2 = load("runConfigurations/testState/green2.svg", 38529498, 2);
      /** 12x12 */ public static final @NotNull Icon Red2 = load("runConfigurations/testState/red2.svg", -695680128, 2);
      /** 12x12 */ public static final @NotNull Icon Run = load("runConfigurations/testState/run.svg", 50383504, 2);
      /** 12x12 */ public static final @NotNull Icon Run_run = load("runConfigurations/testState/run_run.svg", 493410506, 2);
      /** 12x12 */ public static final @NotNull Icon Yellow2 = load("runConfigurations/testState/yellow2.svg", 274494587, 2);
    }

    /** 16x16 */ public static final @NotNull Icon TestTerminated = load("runConfigurations/testTerminated.svg", 1430016006, 0);
    /** 16x16 */ public static final @NotNull Icon TestUnknown = load("runConfigurations/testUnknown.svg", -1922652871, 0);
    /** 16x16 */ public static final @NotNull Icon Tomcat = load("runConfigurations/tomcat.svg", 660729448, 0);
    /** 16x16 */ public static final @NotNull Icon ToolbarError = load("runConfigurations/toolbarError.svg", -210387516, 2);
    /** 16x16 */ public static final @NotNull Icon ToolbarFailed = load("runConfigurations/toolbarFailed.svg", -1900963989, 2);
    /** 16x16 */ public static final @NotNull Icon ToolbarPassed = load("runConfigurations/toolbarPassed.svg", -1937394626, 2);
    /** 16x16 */ public static final @NotNull Icon ToolbarSkipped = load("runConfigurations/toolbarSkipped.svg", -504286269, 2);
    /** 16x16 */ public static final @NotNull Icon ToolbarTerminated = load("runConfigurations/toolbarTerminated.svg", -1562405070, 2);
    /** 16x16 */ public static final @NotNull Icon TrackCoverage = load("runConfigurations/trackCoverage.svg", 2115086304, 2);
    /** 16x16 */ public static final @NotNull Icon Web_app = load("runConfigurations/web_app.svg", -1813807911, 0);
    /** 16x16 */ public static final @NotNull Icon Wsl = load("runConfigurations/wsl.svg", -2030569529, 2);
  }

  public static final class Scope {
    /** 16x16 */ public static final @NotNull Icon ChangedFiles = load("scope/changedFiles.svg", -646407579, 0);
    /** 16x16 */ public static final @NotNull Icon ChangedFilesAll = load("scope/changedFilesAll.svg", 427799141, 0);
    /** 16x16 */ public static final @NotNull Icon Problems = load("scope/problems.svg", 1069155025, 0);
    /** 16x16 */ public static final @NotNull Icon Production = load("scope/production.svg", -744101101, 0);
    /** 16x16 */ public static final @NotNull Icon Scratches = load("scope/scratches.svg", 1022718932, 0);
    /** 16x16 */ public static final @NotNull Icon Tests = load("scope/tests.svg", -322648416, 0);
  }

  public static final class Toolbar {
    /** 16x16 */ public static final @NotNull Icon AddSlot = load("toolbar/addSlot.svg", 322420777, 2);
    /** 16x16 */ public static final @NotNull Icon Collapse = load("toolbar/collapse.svg", -136975001, 2);
    /** 16x16 */ public static final @NotNull Icon Expand = load("toolbar/expand.svg", -276845694, 2);
    /** 16x16 */ public static final @NotNull Icon Filterdups = load("toolbar/filterdups.svg", -586619601, 2);
    /** 16x16 */ public static final @NotNull Icon Locale = load("toolbar/locale.svg", -94748880, 2);
    /** 16x16 */ public static final @NotNull Icon Pin = load("toolbar/pin.svg", -1919961662, 2);
    /** 16x16 */ public static final @NotNull Icon RemoveSlot = load("toolbar/removeSlot.svg", 1293652159, 2);
    /** 16x16 */ public static final @NotNull Icon Unknown = load("toolbar/unknown.svg", 729078397, 2);
    /** 16x16 */ public static final @NotNull Icon Xcode = load("toolbar/Xcode.svg", -1806322548, 2);
  }

  public static final class ToolbarDecorator {
    /** 16x16 */ public static final @NotNull Icon AddBlankLine = load("toolbarDecorator/addBlankLine.svg", -1441154730, 2);
    /** 16x16 */ public static final @NotNull Icon AddClass = load("toolbarDecorator/addClass.svg", -929389532, 2);
    /** 16x16 */ public static final @NotNull Icon AddFolder = load("toolbarDecorator/addFolder.svg", -397854331, 2);
    /** 16x16 */ public static final @NotNull Icon AddIcon = load("toolbarDecorator/addIcon.svg", -1716730540, 2);
    /** 16x16 */ public static final @NotNull Icon AddJira = load("toolbarDecorator/addJira.svg", 428422634, 2);
    /** 16x16 */ public static final @NotNull Icon AddLink = load("toolbarDecorator/addLink.svg", -1060933645, 2);
    /** 16x16 */ public static final @NotNull Icon AddPattern = load("toolbarDecorator/addPattern.svg", 753324590, 2);
    /** 16x16 */ public static final @NotNull Icon AddRemoteDatasource = load("toolbarDecorator/addRemoteDatasource.svg", 175893248, 2);
    /** 16x16 */ public static final @NotNull Icon AddYouTrack = load("toolbarDecorator/addYouTrack.svg", -178809474, 2);
    /** 16x16 */ public static final @NotNull Icon Export = load("toolbarDecorator/export.svg", -1997817006, 2);
    /** 16x16 */ public static final @NotNull Icon ExportSmall = load("toolbarDecorator/exportSmall.svg", 1616570485, 2);
    /** 16x16 */ public static final @NotNull Icon Import = load("toolbarDecorator/import.svg", 1687651157, 2);
  }

  public static final class Toolwindows {
    /** 13x13 */ public static final @NotNull Icon Documentation = load("toolwindows/documentation.svg", 416534484, 2);
    /** 13x13 */ public static final @NotNull Icon ErrorEvents = load("toolwindows/errorEvents.svg", -602031293, 2);
    /** 13x13 */ public static final @NotNull Icon InfoEvents = load("toolwindows/infoEvents.svg", 721796830, 2);
    /** 13x13 */ public static final @NotNull Icon NoEvents = load("toolwindows/noEvents.svg", 783124676, 2);
    /** 13x13 */ public static final @NotNull Icon Notifications = load("toolwindows/notifications.svg", -1191828101, 2);
    /** 13x13 */ public static final @NotNull Icon NotificationsNew = load("toolwindows/notificationsNew.svg", -210813468, 2);
    /** 13x13 */ public static final @NotNull Icon NotificationsNewImportant = load("toolwindows/notificationsNewImportant.svg", -1918528557, 2);
    /** 13x13 */ public static final @NotNull Icon Problems = load("toolwindows/problems.svg", 1234004667, 2);
    /** 13x13 */ public static final @NotNull Icon ProblemsEmpty = load("toolwindows/problemsEmpty.svg", 1213926744, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowAnalyzeDataflow = load("toolwindows/toolWindowAnalyzeDataflow.svg", 745967759, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowAnt = load("toolwindows/toolWindowAnt.svg", 658498879, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowBookmarks = load("toolwindows/toolWindowBookmarks.svg", 949604189, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowBuild = load("toolwindows/toolWindowBuild.svg", -1389985597, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowChanges = load("toolwindows/toolWindowChanges.svg", -726306821, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowCommander = load("toolwindows/toolWindowCommander.svg", -2129249021, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowCommit = load("toolwindows/toolWindowCommit.svg", -1024003582, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowCoverage = load("toolwindows/toolWindowCoverage.svg", 1078152879, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowDebugger = load("toolwindows/toolWindowDebugger.svg", 1389726331, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowFavorites = load("toolwindows/toolWindowFavorites.svg", -1212575865, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowFind = load("toolwindows/toolWindowFind.svg", 739696121, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowHierarchy = load("toolwindows/toolWindowHierarchy.svg", -658254726, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowInspection = load("toolwindows/toolWindowInspection.svg", -1603240911, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowJsonPath = load("toolwindows/toolWindowJsonPath.svg", -550837484, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowMessages = load("toolwindows/toolWindowMessages.svg", -1828026910, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowModuleDependencies = load("toolwindows/toolWindowModuleDependencies.svg", -2100835548, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowPalette = load("toolwindows/toolWindowPalette.svg", -1044346535, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowProblems = load("toolwindows/toolWindowProblems.svg", 1398038979, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowProblemsEmpty = load("toolwindows/toolWindowProblemsEmpty.svg", 193345372, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowProfiler = load("toolwindows/toolWindowProfiler.svg", 877128246, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowProject = load("toolwindows/toolWindowProject.svg", 1578077569, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowRun = load("toolwindows/toolWindowRun.svg", -994326216, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowServices = load("toolwindows/toolWindowServices.svg", 949557898, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowStructure = load("toolwindows/toolWindowStructure.svg", 1275982556, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowTodo = load("toolwindows/toolWindowTodo.svg", -1371075097, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowUIDesigner = load("toolwindows/toolWindowUIDesigner.svg", -151942562, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowVariableView = load("toolwindows/toolWindowVariableView.svg", 1680878393, 2);
    /** 13x13 */ public static final @NotNull Icon WarningEvents = load("toolwindows/warningEvents.svg", -1480999657, 2);
    /** 13x13 */ public static final @NotNull Icon WebToolWindow = load("toolwindows/webToolWindow.svg", 1415711858, 2);
  }

  public static final class Vcs {
    /** 16x16 */ public static final @NotNull Icon Arrow_left = load("vcs/arrow_left.svg", 801910628, 2);
    /** 16x16 */ public static final @NotNull Icon Arrow_right = load("vcs/arrow_right.svg", -1601139200, 2);
    /** 16x16 */ public static final @NotNull Icon Author = load("vcs/author.svg", -999581345, 0);
    /** 16x16 */ public static final @NotNull Icon Branch = load("vcs/branch.svg", -2005963233, 2);
    /** 16x16 */ public static final @NotNull Icon BranchNode = load("vcs/branchNode.svg", -1739709147, 0);
    /** 16x16 */ public static final @NotNull Icon Changelist = load("vcs/changelist.svg", -1337264385, 2);
    /** 16x16 */ public static final @NotNull Icon Clone = load("vcs/clone.svg", 1289553516, 2);
    /** 16x16 */ public static final @NotNull Icon CommitNode = load("vcs/commitNode.svg", 212934702, 0);
    /** 16x16 */ public static final @NotNull Icon Equal = load("vcs/equal.svg", 267880528, 2);
    /** 16x16 */ public static final @NotNull Icon Fetch = load("vcs/fetch.svg", 1069592885, 2);
    /** 16x16 */ public static final @NotNull Icon Folders = load("vcs/folders.svg", 58805275, 2);
    /** 24x24 */ public static final @NotNull Icon FromVCSDialog = load("vcs/fromVCSDialog.svg", 1845704119, 2);
    /** 16x16 */ public static final @NotNull Icon History = load("vcs/history.svg", -265480458, 2);
    /** 16x16 */ public static final @NotNull Icon HistoryInline = load("vcs/historyInline.svg", -460573409, 0);
    /** 16x16 */ public static final @NotNull Icon HistoryInlineHovered = load("vcs/historyInlineHovered.svg", -795106800, 0);
    /** 16x16 */ public static final @NotNull Icon Ignore_file = load("vcs/ignore_file.svg", 146925815, 2);
    /** 16x16 */ public static final @NotNull Icon Merge = load("vcs/merge.svg", 167147508, 2);
    /** 16x16 */ public static final @NotNull Icon Not_equal = load("vcs/not_equal.svg", -988312485, 2);
    /** 16x16 */ public static final @NotNull Icon Patch = load("vcs/patch.svg", -2030677378, 2);
    /** 16x16 */ public static final @NotNull Icon Patch_applied = load("vcs/patch_applied.svg", 1333106790, 2);
    /** 16x16 */ public static final @NotNull Icon Patch_file = load("vcs/patch_file.svg", -38460429, 0);
    /** 16x16 */ public static final @NotNull Icon Push = load("vcs/push.svg", -696626701, 2);
    /** 16x16 */ public static final @NotNull Icon Remove = load("vcs/remove.svg", -2080762729, 2);
    /** 16x16 */ public static final @NotNull Icon Shelve = load("vcs/Shelve.svg", 634465552, 2);
    /** 16x16 */ public static final @NotNull Icon ShelveSilent = load("vcs/shelveSilent.svg", 1105000973, 2);
    /** 16x16 */ public static final @NotNull Icon ShowUnversionedFiles = load("vcs/ShowUnversionedFiles.svg", -385504903, 2);
    /** 16x16 */ public static final @NotNull Icon Stash = load("vcs/Stash.svg", 645718691, 2);
    /** 16x16 */ public static final @NotNull Icon Unshelve = load("vcs/Unshelve.svg", -1985830986, 2);
    /** 16x16 */ public static final @NotNull Icon UnshelveSilent = load("vcs/unshelveSilent.svg", -1912718864, 2);

    public static final class Vendors {
      /** 16x16 */ public static final @NotNull Icon Github = load("vcs/vendors/github.svg", 1233944762, 2);
    }
  }

  public static final class Webreferences {
    /** 16x16 */ public static final @NotNull Icon MessageQueue = load("webreferences/messageQueue.svg", -115226739, 0);
    /** 16x16 */ public static final @NotNull Icon Server = load("webreferences/server.svg", -48849914, 2);
    /** 16x16 */ public static final @NotNull Icon WebSocket = load("webreferences/webSocket.svg", 5294913, 0);
  }

  public static final class Welcome {
    /** 24x24 */ public static final @NotNull Icon CreateNewProjectTab = load("welcome/createNewProjectTab.svg", -71778522, 2);
    /** 24x24 */ public static final @NotNull Icon CreateNewProjectTabSelected = load("welcome/createNewProjectTabSelected.svg", 402925685, 0);
    /** 24x24 */ public static final @NotNull Icon FromVCSTab = load("welcome/fromVCSTab.svg", -347280671, 2);
    /** 24x24 */ public static final @NotNull Icon FromVCSTabSelected = load("welcome/fromVCSTabSelected.svg", -319895407, 0);
    /** 24x24 */ public static final @NotNull Icon Open = load("welcome/open.svg", -888501124, 2);
    /** 24x24 */ public static final @NotNull Icon OpenSelected = load("welcome/openSelected.svg", -913424607, 0);

    public static final class Project {
      /** 10x10 */ public static final @NotNull Icon RemoveHover = load("welcome/project/remove-hover.svg", 737209292, 2);
      /** 10x10 */ public static final @NotNull Icon Remove = load("welcome/project/remove.svg", -105631481, 2);
      /** 10x10 */ public static final @NotNull Icon RemoveDisabledHover = load("welcome/project/removeDisabled-hover.svg", -1741557184, 2);
      /** 10x10 */ public static final @NotNull Icon RemoveDisabled = load("welcome/project/removeDisabled.svg", -1565572817, 2);
    }

    /** @deprecated to be removed */
    @SuppressWarnings("unused")
    @Deprecated
    @ScheduledForRemoval
    public static final @NotNull Icon CreateNewProject = load("welcome/createNewProject.svg", 0, 0);
  }

  public static final class Windows {
    /** 16x16 */ public static final @NotNull Icon CloseActive = load("windows/closeActive.svg", -1027531330, 2);
    /** 16x16 */ public static final @NotNull Icon CloseHover = load("windows/closeHover.svg", 1095918998, 0);
    /** 16x16 */ public static final @NotNull Icon CloseInactive = load("windows/closeInactive.svg", 91060356, 2);
    /** 16x16 */ public static final @NotNull Icon CloseSmall = load("windows/closeSmall.svg", -322808936, 2);
    /** 16x16 */ public static final @NotNull Icon Help = load("windows/help.svg", -835313595, 2);
    /** 16x16 */ public static final @NotNull Icon HelpButton = load("windows/helpButton.svg", -977118051, 2);
    /** 16x16 */ public static final @NotNull Icon HelpButtonInactive = load("windows/helpButtonInactive.svg", 187848294, 2);
    /** 16x16 */ public static final @NotNull Icon HelpInactive = load("windows/helpInactive.svg", -1069628437, 2);
    /** 16x16 */ public static final @NotNull Icon Maximize = load("windows/maximize.svg", -1399131255, 2);
    /** 16x16 */ public static final @NotNull Icon MaximizeInactive = load("windows/maximizeInactive.svg", -1127815562, 2);
    /** 16x16 */ public static final @NotNull Icon MaximizeSmall = load("windows/maximizeSmall.svg", 1517877359, 2);
    /** 16x16 */ public static final @NotNull Icon Minimize = load("windows/minimize.svg", 1884058922, 2);
    /** 16x16 */ public static final @NotNull Icon MinimizeInactive = load("windows/minimizeInactive.svg", -220698520, 2);
    /** 16x16 */ public static final @NotNull Icon MinimizeSmall = load("windows/minimizeSmall.svg", 679711387, 2);
    /** 16x16 */ public static final @NotNull Icon Restore = load("windows/restore.svg", -749806338, 2);
    /** 16x16 */ public static final @NotNull Icon RestoreInactive = load("windows/restoreInactive.svg", -1689123198, 2);
    /** 16x16 */ public static final @NotNull Icon RestoreSmall = load("windows/restoreSmall.svg", -1110953738, 2);
  }

  public static final class Xml {
    public static final class Browsers {
      /** 16x16 */ public static final @NotNull Icon Canary = load("xml/browsers/canary.svg", -1342609384, 0);
      /** 16x16 */ public static final @NotNull Icon Chrome = load("xml/browsers/chrome.svg", -489347657, 0);
      /** 16x16 */ public static final @NotNull Icon Chromium = load("xml/browsers/chromium.svg", -1732767793, 0);
      /** 16x16 */ public static final @NotNull Icon Edge = load("xml/browsers/edge.svg", 1040430167, 0);
      /** 16x16 */ public static final @NotNull Icon Explorer = load("xml/browsers/explorer.svg", 1341606989, 0);
      /** 16x16 */ public static final @NotNull Icon Firefox = load("xml/browsers/firefox.svg", 1359101785, 0);
      /** 16x16 */ public static final @NotNull Icon FirefoxDeveloper = load("xml/browsers/firefoxDeveloper.svg", 102548699, 0);
      /** 16x16 */ public static final @NotNull Icon Nwjs = load("xml/browsers/nwjs.svg", -787037968, 0);
      /** 16x16 */ public static final @NotNull Icon Opera = load("xml/browsers/opera.svg", -1879931237, 0);
      /** 16x16 */ public static final @NotNull Icon Safari = load("xml/browsers/safari.svg", -115840249, 0);
      /** 16x16 */ public static final @NotNull Icon Yandex = load("xml/browsers/yandex.svg", 668410707, 0);

      /** @deprecated use {@link #Chrome} */
      @SuppressWarnings("unused")
      @Deprecated
      public static final @NotNull Icon Chrome16 = Chrome;
    }

    /** 16x16 */ public static final @NotNull Icon Css_class = load("xml/css_class.svg", 1155128702, 0);
    /** 16x16 */ public static final @NotNull Icon Html5 = load("xml/html5.svg", 1284304227, 0);
    /** 16x16 */ public static final @NotNull Icon Html_id = load("xml/html_id.svg", -2112241321, 0);
  }

  /** @deprecated use ProductIcons.getInstance().getProductIcon() instead */
  @SuppressWarnings("unused")
  @Deprecated
  public static final @NotNull Icon Icon = load("icon.png", 0, 0);
}
